// cpp (meta datanetwork format) source file ESMoL.cpp
// generated from diagram ESMoL
// generated on Tue Sep 01 11:35:15 2009

#include "ESMoL.h"
#include <UmlExt.h>
#include <UdmStatic.h>

#include <UdmDom.h>
#include "ESMoL_xsd.h"

namespace ESMoL {

	::Uml::Class ComponentRef_RefersTo_Base::meta;
	::Uml::AssociationRole ComponentRef_RefersTo_Base::meta_referedbyComponentRef;

	::Uml::Class CommMapping_Members_Base::meta;
	::Uml::AssociationRole CommMapping_Members_Base::meta_srcCommMapping;
	::Uml::AssociationRole CommMapping_Members_Base::meta_srcCommMapping_rev;
	::Uml::AssociationRole CommMapping_Members_Base::meta_dstCommMapping;
	::Uml::AssociationRole CommMapping_Members_Base::meta_dstCommMapping_rev;

	::Uml::Class MessageRef_RefersTo_Base::meta;
	::Uml::AssociationRole MessageRef_RefersTo_Base::meta_referedbyBusMessageRef;

	::Uml::Class Types::meta;
	::Uml::Attribute Types::meta_name;
	::Uml::CompositionChildRole Types::meta_TypeBase_children;
	::Uml::CompositionParentRole Types::meta_RootFolder_parent;

	::Uml::Class TypeStruct::meta;
	::Uml::Attribute TypeStruct::meta_MemberCount;
	::Uml::CompositionChildRole TypeStruct::meta_TypeBaseRef_children;

	::Uml::Class Matrix::meta;
	::Uml::Attribute Matrix::meta_rows;
	::Uml::Attribute Matrix::meta_Type;
	::Uml::Attribute Matrix::meta_columns;

	::Uml::Class TypeBase::meta;
	::Uml::AssociationRole TypeBase::meta_referedbyTypeStructRef;
	::Uml::CompositionParentRole TypeBase::meta_Types_parent;

	::Uml::Class TypeBaseRef::meta;
	::Uml::Attribute TypeBaseRef::meta_MemberIndex;
	::Uml::AssociationRole TypeBaseRef::meta_ref;
	::Uml::CompositionParentRole TypeBaseRef::meta_TypeStruct_parent;
	::Uml::CompositionParentRole TypeBaseRef::meta_Port_parent;
	::Uml::CompositionParentRole TypeBaseRef::meta_StateDE_parent;

	::Uml::Class OS::meta;
	::Uml::Attribute OS::meta_SendOverheadTime;
	::Uml::Attribute OS::meta_ContextSwitchTime;
	::Uml::Attribute OS::meta_RecvOverheadTime;
	::Uml::Attribute OS::meta_TickResolution;
	::Uml::CompositionParentRole OS::meta_Node_parent;

	::Uml::Class Wire::meta;
	::Uml::CompositionParentRole Wire::meta_HardwareUnit_parent;
	::Uml::AssociationRole Wire::meta_dstWire_end_;
	::Uml::AssociationRole Wire::meta_srcWire_end_;

	::Uml::Class HardwareUnit::meta;
	::Uml::CompositionChildRole HardwareUnit::meta_Channel_children;
	::Uml::CompositionChildRole HardwareUnit::meta_HWElement_children;
	::Uml::CompositionChildRole HardwareUnit::meta_Plant_children;
	::Uml::CompositionChildRole HardwareUnit::meta_PhysConnection_children;
	::Uml::CompositionChildRole HardwareUnit::meta_AcquisitionConnection_children;
	::Uml::CompositionChildRole HardwareUnit::meta_ActuationConnection_children;
	::Uml::CompositionChildRole HardwareUnit::meta_Wire_children;
	::Uml::CompositionParentRole HardwareUnit::meta_DesignFolder_parent;
	::Uml::CompositionParentRole HardwareUnit::meta_PlatformLibrary_parent;

	::Uml::Class PlatformLibrary::meta;
	::Uml::Attribute PlatformLibrary::meta_name;
	::Uml::CompositionChildRole PlatformLibrary::meta_HardwareUnit_children;
	::Uml::CompositionParentRole PlatformLibrary::meta_RootFolder_parent;

	::Uml::Class Router::meta;
	::Uml::CompositionChildRole Router::meta_BChan_children;

	::Uml::Class Connectable::meta;
	::Uml::AssociationRole Connectable::meta_srcWire;
	::Uml::AssociationRole Connectable::meta_srcWire_rev;
	::Uml::AssociationRole Connectable::meta_dstWire;
	::Uml::AssociationRole Connectable::meta_dstWire_rev;

	::Uml::Class IChan::meta;
	::Uml::AssociationRole IChan::meta_srcAcquisitionConnection;
	::Uml::AssociationRole IChan::meta_srcAcquisitionConnection_rev;

	::Uml::Class OChan::meta;
	::Uml::AssociationRole OChan::meta_dstActuationConnection;
	::Uml::AssociationRole OChan::meta_dstActuationConnection_rev;

	::Uml::Class BChan::meta;
	::Uml::CompositionParentRole BChan::meta_Router_parent;

	::Uml::Class Plant::meta;
	::Uml::CompositionParentRole Plant::meta_HardwareUnit_parent;

	::Uml::Class IODevice::meta;
	::Uml::Attribute IODevice::meta_DeviceType;
	::Uml::AssociationRole IODevice::meta_dstAcquisitionConnection;
	::Uml::AssociationRole IODevice::meta_dstAcquisitionConnection_rev;
	::Uml::AssociationRole IODevice::meta_srcActuationConnection;
	::Uml::AssociationRole IODevice::meta_srcActuationConnection_rev;

	::Uml::Class PhysConnection::meta;
	::Uml::CompositionParentRole PhysConnection::meta_HardwareUnit_parent;
	::Uml::AssociationRole PhysConnection::meta_dstPhysConnection_end_;
	::Uml::AssociationRole PhysConnection::meta_srcPhysConnection_end_;

	::Uml::Class AcquisitionConnection::meta;
	::Uml::CompositionParentRole AcquisitionConnection::meta_HardwareUnit_parent;
	::Uml::AssociationRole AcquisitionConnection::meta_dstAcquisitionConnection_end_;
	::Uml::AssociationRole AcquisitionConnection::meta_srcAcquisitionConnection_end_;

	::Uml::Class ActuationConnection::meta;
	::Uml::CompositionParentRole ActuationConnection::meta_HardwareUnit_parent;
	::Uml::AssociationRole ActuationConnection::meta_dstActuationConnection_end_;
	::Uml::AssociationRole ActuationConnection::meta_srcActuationConnection_end_;

	::Uml::Class PhysInterface::meta;
	::Uml::AssociationRole PhysInterface::meta_srcPhysConnection;
	::Uml::AssociationRole PhysInterface::meta_srcPhysConnection_rev;
	::Uml::AssociationRole PhysInterface::meta_dstPhysConnection;
	::Uml::AssociationRole PhysInterface::meta_dstPhysConnection_rev;

	::Uml::Class Bus::meta;
	::Uml::Attribute Bus::meta_OverheadTime;
	::Uml::Attribute Bus::meta_DataRate;
	::Uml::Attribute Bus::meta_MinFrameSize;
	::Uml::Attribute Bus::meta_SwitchMemorySize;

	::Uml::Class Node::meta;
	::Uml::Attribute Node::meta_ROM;
	::Uml::Attribute Node::meta_Simulator;
	::Uml::Attribute Node::meta_RAM;
	::Uml::Attribute Node::meta_Speed;
	::Uml::Attribute Node::meta_CPU;
	::Uml::Attribute Node::meta_PlatformType;
	::Uml::AssociationRole Node::meta_referedbyNodeRef;
	::Uml::CompositionChildRole Node::meta_OS_child;
	::Uml::CompositionChildRole Node::meta_Channel_children;

	::Uml::Class HWElement::meta;
	::Uml::Attribute HWElement::meta_Configuration;
	::Uml::CompositionChildRole HWElement::meta_ExecutionContext_children;
	::Uml::CompositionParentRole HWElement::meta_HardwareUnit_parent;

	::Uml::Class Channel::meta;
	::Uml::Attribute Channel::meta_Configuration;
	::Uml::CompositionParentRole Channel::meta_HardwareUnit_parent;
	::Uml::CompositionParentRole Channel::meta_Node_parent;

	::Uml::Class IOPortExp::meta;
	::Uml::AssociationRole IOPortExp::meta_srcIOPortAssignment;
	::Uml::AssociationRole IOPortExp::meta_srcIOPortAssignment_rev;

	::Uml::Class IOPortInfo::meta;
	::Uml::Attribute IOPortInfo::meta_DataInit;
	::Uml::Attribute IOPortInfo::meta_DataSize;
	::Uml::Attribute IOPortInfo::meta_DataMin;
	::Uml::Attribute IOPortInfo::meta_DataMax;
	::Uml::Attribute IOPortInfo::meta_Scale;
	::Uml::Attribute IOPortInfo::meta_Offset;
	::Uml::AssociationRole IOPortInfo::meta_referedbyIOPortInfoRef;

	::Uml::Class IOPortInfoRef::meta;
	::Uml::AssociationRole IOPortInfoRef::meta_ref;

	::Uml::Class IOPortAssignment::meta;
	::Uml::AssociationRole IOPortAssignment::meta_dstIOPortAssignment_end_;
	::Uml::AssociationRole IOPortAssignment::meta_srcIOPortAssignment_end_;

	::Uml::Class IOPortInfoBase::meta;
	::Uml::AssociationRole IOPortInfoBase::meta_dstIOPortAssignment;
	::Uml::AssociationRole IOPortInfoBase::meta_dstIOPortAssignment_rev;

	::Uml::Class OldTask::meta;
	::Uml::Attribute OldTask::meta_TaskType;
	::Uml::Attribute OldTask::meta_Priority;
	::Uml::Attribute OldTask::meta_Activation;
	::Uml::Attribute OldTask::meta_AutoStart;
	::Uml::Attribute OldTask::meta_Preemption;
	::Uml::Attribute OldTask::meta_Cyclic;
	::Uml::Attribute OldTask::meta_CycleTime;

	::Uml::Class Primitive::meta;

	::Uml::Class Block::meta;
	::Uml::Attribute Block::meta_Tag;
	::Uml::Attribute Block::meta_BlockType;
	::Uml::Attribute Block::meta_Name;
	::Uml::Attribute Block::meta_Description;
	::Uml::Attribute Block::meta_Priority;
	::Uml::Attribute Block::meta_SampleTime;
	::Uml::Attribute Block::meta_UserData;
	::Uml::CompositionChildRole Block::meta_Line;
	::Uml::CompositionChildRole Block::meta_Parameter;
	::Uml::CompositionChildRole Block::meta_Annotation_children;
	::Uml::CompositionChildRole Block::meta_ConnectorRef_children;
	::Uml::CompositionChildRole Block::meta_Port_children;
	::Uml::CompositionParentRole Block::meta_Subsystem_parent;

	::Uml::Class Parameter::meta;
	::Uml::Attribute Parameter::meta_Value;
	::Uml::CompositionParentRole Parameter::meta_Parameter_Block_parent;

	::Uml::Class Reference::meta;
	::Uml::Attribute Reference::meta_SourceBlock;
	::Uml::Attribute Reference::meta_SourceType;

	::Uml::Class Annotation::meta;
	::Uml::Attribute Annotation::meta_Text;
	::Uml::CompositionParentRole Annotation::meta_Block_parent;

	::Uml::Class Line::meta;
	::Uml::Attribute Line::meta_Name;
	::Uml::CompositionParentRole Line::meta_Line_Block_parent;
	::Uml::AssociationRole Line::meta_dstLine_end_;
	::Uml::AssociationRole Line::meta_srcLine_end_;

	::Uml::Class OutPort::meta;

	::Uml::Class StatePort::meta;

	::Uml::Class Port::meta;
	::Uml::AssociationRole Port::meta_srcLine;
	::Uml::AssociationRole Port::meta_srcLine_rev;
	::Uml::AssociationRole Port::meta_dstLine;
	::Uml::AssociationRole Port::meta_dstLine_rev;
	::Uml::CompositionChildRole Port::meta_TypeBaseRef_child;
	::Uml::CompositionParentRole Port::meta_Block_parent;

	::Uml::Class EnablePort::meta;
	::Uml::Attribute EnablePort::meta_StatesWhenEnabling;

	::Uml::Class TriggerPort::meta;
	::Uml::Attribute TriggerPort::meta_TriggerType;

	::Uml::Class InPort::meta;

	::Uml::Class ActionPort::meta;

	::Uml::Class Dataflow::meta;
	::Uml::Attribute Dataflow::meta_name;
	::Uml::CompositionChildRole Dataflow::meta_Subsystem_children;
	::Uml::CompositionParentRole Dataflow::meta_ModelsFolder_parent;

	::Uml::Class Subsystem::meta;
	::Uml::AssociationRole Subsystem::meta_referedbySubsystemRef;
	::Uml::CompositionChildRole Subsystem::meta_Block_children;
	::Uml::CompositionParentRole Subsystem::meta_Dataflow_parent;

	::Uml::Class InputPort::meta;
	::Uml::Attribute InputPort::meta_Number;

	::Uml::Class OutputPort::meta;
	::Uml::Attribute OutputPort::meta_Number;

	::Uml::Class TTBus::meta;
	::Uml::Attribute TTBus::meta_TTSetupTime;
	::Uml::Attribute TTBus::meta_Hyperperiod;
	::Uml::Attribute TTBus::meta_SlotSize;

	::Uml::Class OldBus::meta;
	::Uml::Attribute OldBus::meta_FrameSize;
	::Uml::Attribute OldBus::meta_Medium;

	::Uml::Class ModelsFolder::meta;
	::Uml::Attribute ModelsFolder::meta_name;
	::Uml::CompositionChildRole ModelsFolder::meta_Stateflow_children;
	::Uml::CompositionChildRole ModelsFolder::meta_Dataflow_children;
	::Uml::CompositionChildRole ModelsFolder::meta_ModelInfo_children;
	::Uml::CompositionParentRole ModelsFolder::meta_DesignFolder_parent;

	::Uml::Class ModelInfo::meta;
	::Uml::Attribute ModelInfo::meta_DateTimeStamp;
	::Uml::Attribute ModelInfo::meta_ModelPath;
	::Uml::CompositionParentRole ModelInfo::meta_ModelsFolder_parent;

	::Uml::Class DeploymentLibrary::meta;
	::Uml::Attribute DeploymentLibrary::meta_name;
	::Uml::CompositionChildRole DeploymentLibrary::meta_System_children;
	::Uml::CompositionParentRole DeploymentLibrary::meta_RootFolder_parent;

	::Uml::Class NodeRef::meta;
	::Uml::AssociationRole NodeRef::meta_ref;
	::Uml::AssociationRole NodeRef::meta_srcComponentAssignment;
	::Uml::AssociationRole NodeRef::meta_srcComponentAssignment_rev;
	::Uml::CompositionParentRole NodeRef::meta_System_parent;

	::Uml::Class CommMapping::meta;
	::Uml::AssociationRole CommMapping::meta_dstCommMapping__rp_helper;
	::Uml::AssociationRole CommMapping::meta_srcCommMapping__rp_helper;
	::Uml::CompositionParentRole CommMapping::meta_System_parent;
	::Uml::AssociationRole CommMapping::meta_dstCommMapping_end_;
	::Uml::AssociationRole CommMapping::meta_srcCommMapping_end_;

	::Uml::Class Dependency::meta;
	::Uml::AssociationRole Dependency::meta_dstDependency__rp_helper;
	::Uml::AssociationRole Dependency::meta_srcDependency__rp_helper;
	::Uml::CompositionParentRole Dependency::meta_System_parent;
	::Uml::AssociationRole Dependency::meta_srcDependency_end_;
	::Uml::AssociationRole Dependency::meta_dstDependency_end_;

	::Uml::Class ComponentAssignment::meta;
	::Uml::CompositionParentRole ComponentAssignment::meta_System_parent;
	::Uml::AssociationRole ComponentAssignment::meta_dstComponentAssignment_end_;
	::Uml::AssociationRole ComponentAssignment::meta_srcComponentAssignment_end_;

	::Uml::Class ComponentRef::meta;
	::Uml::AssociationRole ComponentRef::meta_ref;
	::Uml::AssociationRole ComponentRef::meta_dstComponentAssignment;
	::Uml::AssociationRole ComponentRef::meta_dstComponentAssignment_rev;
	::Uml::AssociationRole ComponentRef::meta_cms;
	::Uml::AssociationRole ComponentRef::meta_cmd;
	::Uml::AssociationRole ComponentRef::meta_dps;
	::Uml::AssociationRole ComponentRef::meta_dpd;
	::Uml::AssociationRole ComponentRef::meta_eas;
	::Uml::CompositionParentRole ComponentRef::meta_System_parent;

	::Uml::Class System::meta;
	::Uml::CompositionChildRole System::meta_NodeRef_children;
	::Uml::CompositionChildRole System::meta_ComponentRef_children;
	::Uml::CompositionChildRole System::meta_CommMapping_children;
	::Uml::CompositionChildRole System::meta_Dependency_children;
	::Uml::CompositionChildRole System::meta_ComponentAssignment_children;
	::Uml::CompositionChildRole System::meta_ExecutionInfo_children;
	::Uml::CompositionChildRole System::meta_ExecutionAssignment_children;
	::Uml::CompositionParentRole System::meta_DeploymentLibrary_parent;
	::Uml::CompositionParentRole System::meta_DesignFolder_parent;

	::Uml::Class TTExecContext::meta;
	::Uml::Attribute TTExecContext::meta_Hyperperiod;

	::Uml::Class ExecutionContext::meta;
	::Uml::CompositionParentRole ExecutionContext::meta_HWElement_parent;

	::Uml::Class AsyncPeriodicExecInfo::meta;

	::Uml::Class TTExecInfo::meta;
	::Uml::Attribute TTExecInfo::meta_TTSchedule;

	::Uml::Class ExecutionInfo::meta;
	::Uml::Attribute ExecutionInfo::meta_WCDuration;
	::Uml::AssociationRole ExecutionInfo::meta_dstExecutionAssignment;
	::Uml::AssociationRole ExecutionInfo::meta_dstExecutionAssignment_rev;
	::Uml::CompositionParentRole ExecutionInfo::meta_System_parent;

	::Uml::Class ExecutionAssignment::meta;
	::Uml::AssociationRole ExecutionAssignment::meta_dstExecutionAssignment__rp_helper;
	::Uml::CompositionParentRole ExecutionAssignment::meta_System_parent;
	::Uml::AssociationRole ExecutionAssignment::meta_dstExecutionAssignment_end_;
	::Uml::AssociationRole ExecutionAssignment::meta_srcExecutionAssignment_end_;

	::Uml::Class SporadicExecInfo::meta;
	::Uml::Attribute SporadicExecInfo::meta_MinimumPeriod;

	::Uml::Class Executable::meta;
	::Uml::AssociationRole Executable::meta_srcExecutionAssignment;
	::Uml::AssociationRole Executable::meta_srcExecutionAssignment_rev;

	::Uml::Class PeriodicExecInfo::meta;
	::Uml::Attribute PeriodicExecInfo::meta_ExecPeriod;

	::Uml::Class AperiodicExecInfo::meta;

	::Uml::Class ArchitectureLibrary::meta;
	::Uml::Attribute ArchitectureLibrary::meta_name;
	::Uml::CompositionChildRole ArchitectureLibrary::meta_SystemTypes_children;
	::Uml::CompositionParentRole ArchitectureLibrary::meta_RootFolder_parent;

	::Uml::Class SystemTypes::meta;
	::Uml::CompositionChildRole SystemTypes::meta_Component_children;
	::Uml::CompositionChildRole SystemTypes::meta_Message_children;
	::Uml::CompositionParentRole SystemTypes::meta_ArchitectureLibrary_parent;
	::Uml::CompositionParentRole SystemTypes::meta_DesignFolder_parent;

	::Uml::Class Connector::meta;
	::Uml::Attribute Connector::meta_ConnectionType;
	::Uml::AssociationRole Connector::meta_dstConnector__rp_helper;
	::Uml::AssociationRole Connector::meta_srcConnector__rp_helper;
	::Uml::CompositionParentRole Connector::meta_Component_parent;
	::Uml::AssociationRole Connector::meta_dstConnector_end_;
	::Uml::AssociationRole Connector::meta_srcConnector_end_;

	::Uml::Class Message::meta;
	::Uml::Attribute Message::meta_MsgMetaData;
	::Uml::Attribute Message::meta_MsgSize;
	::Uml::CompositionChildRole Message::meta_MsgPort_children;
	::Uml::CompositionParentRole Message::meta_SystemTypes_parent;

	::Uml::Class MsgPort::meta;
	::Uml::Attribute MsgPort::meta_MsgPortNum;
	::Uml::CompositionParentRole MsgPort::meta_Message_parent;

	::Uml::Class DesignFolder::meta;
	::Uml::Attribute DesignFolder::meta_name;
	::Uml::CompositionChildRole DesignFolder::meta_HardwareUnit_children;
	::Uml::CompositionChildRole DesignFolder::meta_SystemTypes_children;
	::Uml::CompositionChildRole DesignFolder::meta_ModelsFolder_children;
	::Uml::CompositionChildRole DesignFolder::meta_System_children;
	::Uml::CompositionChildRole DesignFolder::meta_TimingSheet_children;
	::Uml::CompositionParentRole DesignFolder::meta_RootFolder_parent;

	::Uml::Class Component::meta;
	::Uml::AssociationRole Component::meta_referedbyTaskRef;
	::Uml::CompositionChildRole Component::meta_ComponentBase_children;
	::Uml::CompositionChildRole Component::meta_MessageRef_children;
	::Uml::CompositionChildRole Component::meta_Connector_children;
	::Uml::CompositionParentRole Component::meta_SystemTypes_parent;

	::Uml::Class ComponentBase::meta;
	::Uml::Attribute ComponentBase::meta_Deadline;
	::Uml::Attribute ComponentBase::meta_Period;
	::Uml::CompositionParentRole ComponentBase::meta_Component_parent;

	::Uml::Class Output::meta;
	::Uml::AssociationRole Output::meta_dstConnector;
	::Uml::AssociationRole Output::meta_dstConnector_rev;

	::Uml::Class Input::meta;
	::Uml::AssociationRole Input::meta_srcConnector;
	::Uml::AssociationRole Input::meta_srcConnector_rev;

	::Uml::Class MessageRef::meta;
	::Uml::AssociationRole MessageRef::meta_ref;
	::Uml::AssociationRole MessageRef::meta_cns;
	::Uml::AssociationRole MessageRef::meta_cnd;
	::Uml::AssociationRole MessageRef::meta_dstDependency;
	::Uml::AssociationRole MessageRef::meta_dstDependency_rev;
	::Uml::AssociationRole MessageRef::meta_srcDependency;
	::Uml::AssociationRole MessageRef::meta_srcDependency_rev;
	::Uml::CompositionParentRole MessageRef::meta_Component_parent;

	::Uml::Class TimingConstraint::meta;
	::Uml::Attribute TimingConstraint::meta_Latency;
	::Uml::CompositionParentRole TimingConstraint::meta_TimingSheet_parent;
	::Uml::AssociationRole TimingConstraint::meta_dstTimingConstraint_end_;
	::Uml::AssociationRole TimingConstraint::meta_srcTimingConstraint_end_;

	::Uml::Class RequirementsLibrary::meta;
	::Uml::Attribute RequirementsLibrary::meta_name;
	::Uml::CompositionChildRole RequirementsLibrary::meta_TimingSheet_children;
	::Uml::CompositionParentRole RequirementsLibrary::meta_RootFolder_parent;

	::Uml::Class TimingSheet::meta;
	::Uml::CompositionChildRole TimingSheet::meta_TimingConstraint_children;
	::Uml::CompositionChildRole TimingSheet::meta_TaskRef_children;
	::Uml::CompositionParentRole TimingSheet::meta_DesignFolder_parent;
	::Uml::CompositionParentRole TimingSheet::meta_RequirementsLibrary_parent;

	::Uml::Class TaskRef::meta;
	::Uml::AssociationRole TaskRef::meta_ref;
	::Uml::AssociationRole TaskRef::meta_srcTimingConstraint;
	::Uml::AssociationRole TaskRef::meta_srcTimingConstraint_rev;
	::Uml::AssociationRole TaskRef::meta_dstTimingConstraint;
	::Uml::AssociationRole TaskRef::meta_dstTimingConstraint_rev;
	::Uml::CompositionParentRole TaskRef::meta_TimingSheet_parent;

	::Uml::Class CCode::meta;
	::Uml::Attribute CCode::meta_CodeInfo;
	::Uml::CompositionChildRole CCode::meta_CInputPort_children;
	::Uml::CompositionChildRole CCode::meta_COutputPort_children;

	::Uml::Class SubsystemRef::meta;
	::Uml::AssociationRole SubsystemRef::meta_ref;

	::Uml::Class COutputPort::meta;
	::Uml::Attribute COutputPort::meta_CPortType;
	::Uml::CompositionParentRole COutputPort::meta_CCode_parent;

	::Uml::Class CInputPort::meta;
	::Uml::Attribute CInputPort::meta_CPortType;
	::Uml::CompositionParentRole CInputPort::meta_CCode_parent;

	::Uml::Class State::meta;
	::Uml::Attribute State::meta_Name;
	::Uml::Attribute State::meta_Decomposition;
	::Uml::Attribute State::meta_EnterAction;
	::Uml::Attribute State::meta_DuringAction;
	::Uml::Attribute State::meta_ExitAction;
	::Uml::Attribute State::meta_Order;
	::Uml::CompositionChildRole State::meta_TransConnector_children;
	::Uml::CompositionChildRole State::meta_Transition;
	::Uml::CompositionChildRole State::meta_StateDE_children;
	::Uml::CompositionParentRole State::meta_Stateflow_parent;

	::Uml::Class Transition::meta;
	::Uml::Attribute Transition::meta_Guard;
	::Uml::Attribute Transition::meta_Trigger;
	::Uml::Attribute Transition::meta_Action;
	::Uml::Attribute Transition::meta_ConditionAction;
	::Uml::Attribute Transition::meta_Order;
	::Uml::CompositionParentRole Transition::meta_Transition_State_parent;
	::Uml::AssociationRole Transition::meta_srcTransition_end_;
	::Uml::AssociationRole Transition::meta_dstTransition_end_;

	::Uml::Class History::meta;

	::Uml::Class TransStart::meta;

	::Uml::Class Junction::meta;

	::Uml::Class ConnectorRef::meta;
	::Uml::AssociationRole ConnectorRef::meta_ref;
	::Uml::CompositionParentRole ConnectorRef::meta_Block_parent;

	::Uml::Class Stateflow::meta;
	::Uml::Attribute Stateflow::meta_name;
	::Uml::CompositionChildRole Stateflow::meta_State_children;
	::Uml::CompositionParentRole Stateflow::meta_ModelsFolder_parent;

	::Uml::Class TransConnector::meta;
	::Uml::AssociationRole TransConnector::meta_referedbyConnectorRef;
	::Uml::AssociationRole TransConnector::meta_dstTransition;
	::Uml::AssociationRole TransConnector::meta_dstTransition_rev;
	::Uml::AssociationRole TransConnector::meta_srcTransition;
	::Uml::AssociationRole TransConnector::meta_srcTransition_rev;
	::Uml::CompositionParentRole TransConnector::meta_State_parent;

	::Uml::Class Data::meta;
	::Uml::Attribute Data::meta_Name;
	::Uml::Attribute Data::meta_Description;
	::Uml::Attribute Data::meta_DataType;
	::Uml::Attribute Data::meta_Port;
	::Uml::Attribute Data::meta_Units;
	::Uml::Attribute Data::meta_InitialValue;
	::Uml::Attribute Data::meta_Min;
	::Uml::Attribute Data::meta_Max;
	::Uml::Attribute Data::meta_ArraySize;
	::Uml::Attribute Data::meta_ArrayFirstIndex;
	::Uml::Attribute Data::meta_Scope;

	::Uml::Class Event::meta;
	::Uml::Attribute Event::meta_Name;
	::Uml::Attribute Event::meta_Description;
	::Uml::Attribute Event::meta_Scope;
	::Uml::Attribute Event::meta_Trigger;
	::Uml::Attribute Event::meta_Port;

	::Uml::Class StateDE::meta;
	::Uml::CompositionChildRole StateDE::meta_TypeBaseRef_child;
	::Uml::CompositionParentRole StateDE::meta_State_parent;

	::Uml::Class RootFolder::meta;
	::Uml::Attribute RootFolder::meta_name;
	::Uml::CompositionChildRole RootFolder::meta_PlatformLibrary_children;
	::Uml::CompositionChildRole RootFolder::meta_Types_children;
	::Uml::CompositionChildRole RootFolder::meta_DeploymentLibrary_children;
	::Uml::CompositionChildRole RootFolder::meta_ArchitectureLibrary_children;
	::Uml::CompositionChildRole RootFolder::meta_DesignFolder_children;
	::Uml::CompositionChildRole RootFolder::meta_RequirementsLibrary_children;
	::Uml::CompositionChildRole RootFolder::meta_RootFolder_children;
	::Uml::CompositionParentRole RootFolder::meta_RootFolder_parent;

	::Uml::Class MgaObject::meta;
	::Uml::Attribute MgaObject::meta_position;
	::Uml::Attribute MgaObject::meta_name;

	::Uml::Diagram meta;

	void CreateMeta() {
		// classes, with attributes, constraints and constraint definitions
		AcquisitionConnection::meta = ::Uml::Class::Create(meta);

		ActionPort::meta = ::Uml::Class::Create(meta);

		ActuationConnection::meta = ::Uml::Class::Create(meta);

		Annotation::meta = ::Uml::Class::Create(meta);
		Annotation::meta_Text = ::Uml::Attribute::Create(Annotation::meta);

		AperiodicExecInfo::meta = ::Uml::Class::Create(meta);

		ArchitectureLibrary::meta = ::Uml::Class::Create(meta);
		ArchitectureLibrary::meta_name = ::Uml::Attribute::Create(ArchitectureLibrary::meta);

		AsyncPeriodicExecInfo::meta = ::Uml::Class::Create(meta);

		BChan::meta = ::Uml::Class::Create(meta);

		Block::meta = ::Uml::Class::Create(meta);
		Block::meta_Tag = ::Uml::Attribute::Create(Block::meta);
		Block::meta_BlockType = ::Uml::Attribute::Create(Block::meta);
		Block::meta_Name = ::Uml::Attribute::Create(Block::meta);
		Block::meta_Description = ::Uml::Attribute::Create(Block::meta);
		Block::meta_Priority = ::Uml::Attribute::Create(Block::meta);
		Block::meta_SampleTime = ::Uml::Attribute::Create(Block::meta);
		Block::meta_UserData = ::Uml::Attribute::Create(Block::meta);

		Bus::meta = ::Uml::Class::Create(meta);
		Bus::meta_OverheadTime = ::Uml::Attribute::Create(Bus::meta);
		Bus::meta_DataRate = ::Uml::Attribute::Create(Bus::meta);
		Bus::meta_MinFrameSize = ::Uml::Attribute::Create(Bus::meta);
		Bus::meta_SwitchMemorySize = ::Uml::Attribute::Create(Bus::meta);

		CCode::meta = ::Uml::Class::Create(meta);
		CCode::meta_CodeInfo = ::Uml::Attribute::Create(CCode::meta);

		CInputPort::meta = ::Uml::Class::Create(meta);
		CInputPort::meta_CPortType = ::Uml::Attribute::Create(CInputPort::meta);

		COutputPort::meta = ::Uml::Class::Create(meta);
		COutputPort::meta_CPortType = ::Uml::Attribute::Create(COutputPort::meta);

		Channel::meta = ::Uml::Class::Create(meta);
		Channel::meta_Configuration = ::Uml::Attribute::Create(Channel::meta);

		CommMapping::meta = ::Uml::Class::Create(meta);

		CommMapping_Members_Base::meta = ::Uml::Class::Create(meta);

		Component::meta = ::Uml::Class::Create(meta);

		ComponentAssignment::meta = ::Uml::Class::Create(meta);

		ComponentBase::meta = ::Uml::Class::Create(meta);
		ComponentBase::meta_Deadline = ::Uml::Attribute::Create(ComponentBase::meta);
		ComponentBase::meta_Period = ::Uml::Attribute::Create(ComponentBase::meta);

		ComponentRef::meta = ::Uml::Class::Create(meta);

		ComponentRef_RefersTo_Base::meta = ::Uml::Class::Create(meta);

		Connectable::meta = ::Uml::Class::Create(meta);

		Connector::meta = ::Uml::Class::Create(meta);
		Connector::meta_ConnectionType = ::Uml::Attribute::Create(Connector::meta);

		ConnectorRef::meta = ::Uml::Class::Create(meta);

		Data::meta = ::Uml::Class::Create(meta);
		Data::meta_Name = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Description = ::Uml::Attribute::Create(Data::meta);
		Data::meta_DataType = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Port = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Units = ::Uml::Attribute::Create(Data::meta);
		Data::meta_InitialValue = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Min = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Max = ::Uml::Attribute::Create(Data::meta);
		Data::meta_ArraySize = ::Uml::Attribute::Create(Data::meta);
		Data::meta_ArrayFirstIndex = ::Uml::Attribute::Create(Data::meta);
		Data::meta_Scope = ::Uml::Attribute::Create(Data::meta);

		Dataflow::meta = ::Uml::Class::Create(meta);
		Dataflow::meta_name = ::Uml::Attribute::Create(Dataflow::meta);

		Dependency::meta = ::Uml::Class::Create(meta);

		DeploymentLibrary::meta = ::Uml::Class::Create(meta);
		DeploymentLibrary::meta_name = ::Uml::Attribute::Create(DeploymentLibrary::meta);

		DesignFolder::meta = ::Uml::Class::Create(meta);
		DesignFolder::meta_name = ::Uml::Attribute::Create(DesignFolder::meta);

		EnablePort::meta = ::Uml::Class::Create(meta);
		EnablePort::meta_StatesWhenEnabling = ::Uml::Attribute::Create(EnablePort::meta);

		Event::meta = ::Uml::Class::Create(meta);
		Event::meta_Name = ::Uml::Attribute::Create(Event::meta);
		Event::meta_Description = ::Uml::Attribute::Create(Event::meta);
		Event::meta_Scope = ::Uml::Attribute::Create(Event::meta);
		Event::meta_Trigger = ::Uml::Attribute::Create(Event::meta);
		Event::meta_Port = ::Uml::Attribute::Create(Event::meta);

		Executable::meta = ::Uml::Class::Create(meta);

		ExecutionAssignment::meta = ::Uml::Class::Create(meta);

		ExecutionContext::meta = ::Uml::Class::Create(meta);

		ExecutionInfo::meta = ::Uml::Class::Create(meta);
		ExecutionInfo::meta_WCDuration = ::Uml::Attribute::Create(ExecutionInfo::meta);

		HWElement::meta = ::Uml::Class::Create(meta);
		HWElement::meta_Configuration = ::Uml::Attribute::Create(HWElement::meta);

		HardwareUnit::meta = ::Uml::Class::Create(meta);

		History::meta = ::Uml::Class::Create(meta);

		IChan::meta = ::Uml::Class::Create(meta);

		IODevice::meta = ::Uml::Class::Create(meta);
		IODevice::meta_DeviceType = ::Uml::Attribute::Create(IODevice::meta);

		IOPortAssignment::meta = ::Uml::Class::Create(meta);

		IOPortExp::meta = ::Uml::Class::Create(meta);

		IOPortInfo::meta = ::Uml::Class::Create(meta);
		IOPortInfo::meta_DataInit = ::Uml::Attribute::Create(IOPortInfo::meta);
		IOPortInfo::meta_DataSize = ::Uml::Attribute::Create(IOPortInfo::meta);
		IOPortInfo::meta_DataMin = ::Uml::Attribute::Create(IOPortInfo::meta);
		IOPortInfo::meta_DataMax = ::Uml::Attribute::Create(IOPortInfo::meta);
		IOPortInfo::meta_Scale = ::Uml::Attribute::Create(IOPortInfo::meta);
		IOPortInfo::meta_Offset = ::Uml::Attribute::Create(IOPortInfo::meta);

		IOPortInfoBase::meta = ::Uml::Class::Create(meta);

		IOPortInfoRef::meta = ::Uml::Class::Create(meta);

		InPort::meta = ::Uml::Class::Create(meta);

		Input::meta = ::Uml::Class::Create(meta);

		InputPort::meta = ::Uml::Class::Create(meta);
		InputPort::meta_Number = ::Uml::Attribute::Create(InputPort::meta);

		Junction::meta = ::Uml::Class::Create(meta);

		Line::meta = ::Uml::Class::Create(meta);
		Line::meta_Name = ::Uml::Attribute::Create(Line::meta);

		Matrix::meta = ::Uml::Class::Create(meta);
		Matrix::meta_rows = ::Uml::Attribute::Create(Matrix::meta);
		Matrix::meta_Type = ::Uml::Attribute::Create(Matrix::meta);
		Matrix::meta_columns = ::Uml::Attribute::Create(Matrix::meta);

		Message::meta = ::Uml::Class::Create(meta);
		Message::meta_MsgMetaData = ::Uml::Attribute::Create(Message::meta);
		Message::meta_MsgSize = ::Uml::Attribute::Create(Message::meta);

		MessageRef::meta = ::Uml::Class::Create(meta);

		MessageRef_RefersTo_Base::meta = ::Uml::Class::Create(meta);

		MgaObject::meta = ::Uml::Class::Create(meta);
		MgaObject::meta_position = ::Uml::Attribute::Create(MgaObject::meta);
		MgaObject::meta_name = ::Uml::Attribute::Create(MgaObject::meta);

		ModelInfo::meta = ::Uml::Class::Create(meta);
		ModelInfo::meta_DateTimeStamp = ::Uml::Attribute::Create(ModelInfo::meta);
		ModelInfo::meta_ModelPath = ::Uml::Attribute::Create(ModelInfo::meta);

		ModelsFolder::meta = ::Uml::Class::Create(meta);
		ModelsFolder::meta_name = ::Uml::Attribute::Create(ModelsFolder::meta);

		MsgPort::meta = ::Uml::Class::Create(meta);
		MsgPort::meta_MsgPortNum = ::Uml::Attribute::Create(MsgPort::meta);

		Node::meta = ::Uml::Class::Create(meta);
		Node::meta_ROM = ::Uml::Attribute::Create(Node::meta);
		Node::meta_Simulator = ::Uml::Attribute::Create(Node::meta);
		Node::meta_RAM = ::Uml::Attribute::Create(Node::meta);
		Node::meta_Speed = ::Uml::Attribute::Create(Node::meta);
		Node::meta_CPU = ::Uml::Attribute::Create(Node::meta);
		Node::meta_PlatformType = ::Uml::Attribute::Create(Node::meta);

		NodeRef::meta = ::Uml::Class::Create(meta);

		OChan::meta = ::Uml::Class::Create(meta);

		OS::meta = ::Uml::Class::Create(meta);
		OS::meta_SendOverheadTime = ::Uml::Attribute::Create(OS::meta);
		OS::meta_ContextSwitchTime = ::Uml::Attribute::Create(OS::meta);
		OS::meta_RecvOverheadTime = ::Uml::Attribute::Create(OS::meta);
		OS::meta_TickResolution = ::Uml::Attribute::Create(OS::meta);

		OldBus::meta = ::Uml::Class::Create(meta);
		OldBus::meta_FrameSize = ::Uml::Attribute::Create(OldBus::meta);
		OldBus::meta_Medium = ::Uml::Attribute::Create(OldBus::meta);

		OldTask::meta = ::Uml::Class::Create(meta);
		OldTask::meta_TaskType = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_Priority = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_Activation = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_AutoStart = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_Preemption = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_Cyclic = ::Uml::Attribute::Create(OldTask::meta);
		OldTask::meta_CycleTime = ::Uml::Attribute::Create(OldTask::meta);

		OutPort::meta = ::Uml::Class::Create(meta);

		Output::meta = ::Uml::Class::Create(meta);

		OutputPort::meta = ::Uml::Class::Create(meta);
		OutputPort::meta_Number = ::Uml::Attribute::Create(OutputPort::meta);

		Parameter::meta = ::Uml::Class::Create(meta);
		Parameter::meta_Value = ::Uml::Attribute::Create(Parameter::meta);

		PeriodicExecInfo::meta = ::Uml::Class::Create(meta);
		PeriodicExecInfo::meta_ExecPeriod = ::Uml::Attribute::Create(PeriodicExecInfo::meta);

		PhysConnection::meta = ::Uml::Class::Create(meta);

		PhysInterface::meta = ::Uml::Class::Create(meta);

		Plant::meta = ::Uml::Class::Create(meta);

		PlatformLibrary::meta = ::Uml::Class::Create(meta);
		PlatformLibrary::meta_name = ::Uml::Attribute::Create(PlatformLibrary::meta);

		Port::meta = ::Uml::Class::Create(meta);

		Primitive::meta = ::Uml::Class::Create(meta);

		Reference::meta = ::Uml::Class::Create(meta);
		Reference::meta_SourceBlock = ::Uml::Attribute::Create(Reference::meta);
		Reference::meta_SourceType = ::Uml::Attribute::Create(Reference::meta);

		RequirementsLibrary::meta = ::Uml::Class::Create(meta);
		RequirementsLibrary::meta_name = ::Uml::Attribute::Create(RequirementsLibrary::meta);

		RootFolder::meta = ::Uml::Class::Create(meta);
		RootFolder::meta_name = ::Uml::Attribute::Create(RootFolder::meta);

		Router::meta = ::Uml::Class::Create(meta);

		SporadicExecInfo::meta = ::Uml::Class::Create(meta);
		SporadicExecInfo::meta_MinimumPeriod = ::Uml::Attribute::Create(SporadicExecInfo::meta);

		State::meta = ::Uml::Class::Create(meta);
		State::meta_Name = ::Uml::Attribute::Create(State::meta);
		State::meta_Decomposition = ::Uml::Attribute::Create(State::meta);
		State::meta_EnterAction = ::Uml::Attribute::Create(State::meta);
		State::meta_DuringAction = ::Uml::Attribute::Create(State::meta);
		State::meta_ExitAction = ::Uml::Attribute::Create(State::meta);
		State::meta_Order = ::Uml::Attribute::Create(State::meta);

		StateDE::meta = ::Uml::Class::Create(meta);

		StatePort::meta = ::Uml::Class::Create(meta);

		Stateflow::meta = ::Uml::Class::Create(meta);
		Stateflow::meta_name = ::Uml::Attribute::Create(Stateflow::meta);

		Subsystem::meta = ::Uml::Class::Create(meta);

		SubsystemRef::meta = ::Uml::Class::Create(meta);

		System::meta = ::Uml::Class::Create(meta);

		SystemTypes::meta = ::Uml::Class::Create(meta);

		TTBus::meta = ::Uml::Class::Create(meta);
		TTBus::meta_TTSetupTime = ::Uml::Attribute::Create(TTBus::meta);
		TTBus::meta_Hyperperiod = ::Uml::Attribute::Create(TTBus::meta);
		TTBus::meta_SlotSize = ::Uml::Attribute::Create(TTBus::meta);

		TTExecContext::meta = ::Uml::Class::Create(meta);
		TTExecContext::meta_Hyperperiod = ::Uml::Attribute::Create(TTExecContext::meta);

		TTExecInfo::meta = ::Uml::Class::Create(meta);
		TTExecInfo::meta_TTSchedule = ::Uml::Attribute::Create(TTExecInfo::meta);

		TaskRef::meta = ::Uml::Class::Create(meta);

		TimingConstraint::meta = ::Uml::Class::Create(meta);
		TimingConstraint::meta_Latency = ::Uml::Attribute::Create(TimingConstraint::meta);

		TimingSheet::meta = ::Uml::Class::Create(meta);

		TransConnector::meta = ::Uml::Class::Create(meta);

		TransStart::meta = ::Uml::Class::Create(meta);

		Transition::meta = ::Uml::Class::Create(meta);
		Transition::meta_Guard = ::Uml::Attribute::Create(Transition::meta);
		Transition::meta_Trigger = ::Uml::Attribute::Create(Transition::meta);
		Transition::meta_Action = ::Uml::Attribute::Create(Transition::meta);
		Transition::meta_ConditionAction = ::Uml::Attribute::Create(Transition::meta);
		Transition::meta_Order = ::Uml::Attribute::Create(Transition::meta);

		TriggerPort::meta = ::Uml::Class::Create(meta);
		TriggerPort::meta_TriggerType = ::Uml::Attribute::Create(TriggerPort::meta);

		TypeBase::meta = ::Uml::Class::Create(meta);

		TypeBaseRef::meta = ::Uml::Class::Create(meta);
		TypeBaseRef::meta_MemberIndex = ::Uml::Attribute::Create(TypeBaseRef::meta);

		TypeStruct::meta = ::Uml::Class::Create(meta);
		TypeStruct::meta_MemberCount = ::Uml::Attribute::Create(TypeStruct::meta);

		Types::meta = ::Uml::Class::Create(meta);
		Types::meta_name = ::Uml::Attribute::Create(Types::meta);

		Wire::meta = ::Uml::Class::Create(meta);

	}

	void InitMeta() {
		// classes, with attributes, constraints and constraint definitions
		::Uml::InitClassProps(AcquisitionConnection::meta, "AcquisitionConnection", false, "Connection", NULL);

		::Uml::InitClassProps(ActionPort::meta, "ActionPort", false, "Model", NULL);

		::Uml::InitClassProps(ActuationConnection::meta, "ActuationConnection", false, "Connection", NULL);

		::Uml::InitClassProps(Annotation::meta, "Annotation", false, "Atom", NULL);
		::Uml::InitAttributeProps(Annotation::meta_Text, "Text", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(AperiodicExecInfo::meta, "AperiodicExecInfo", true, "Model", NULL);

		::Uml::InitClassProps(ArchitectureLibrary::meta, "ArchitectureLibrary", false, "Folder", NULL);
		::Uml::InitAttributeProps(ArchitectureLibrary::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(AsyncPeriodicExecInfo::meta, "AsyncPeriodicExecInfo", false, "Model", NULL);

		::Uml::InitClassProps(BChan::meta, "BChan", false, "Atom", NULL);

		::Uml::InitClassProps(Block::meta, "Block", true, "Model", NULL);
		::Uml::InitAttributeProps(Block::meta_Tag, "Tag", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_BlockType, "BlockType", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_Name, "Name", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_Description, "Description", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_Priority, "Priority", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_SampleTime, "SampleTime", "Real", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Block::meta_UserData, "UserData", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Bus::meta, "Bus", true, "Model", NULL);
		vector<string> Bus_OverheadTime_dva;
		Bus_OverheadTime_dva.push_back("0s");
		::Uml::InitAttributeProps(Bus::meta_OverheadTime, "OverheadTime", "String", false, false, 1, 1, false, "public", Bus_OverheadTime_dva);
		vector<string> Bus_DataRate_dva;
		Bus_DataRate_dva.push_back("1b");
		::Uml::InitAttributeProps(Bus::meta_DataRate, "DataRate", "String", false, false, 1, 1, false, "public", Bus_DataRate_dva);
		vector<string> Bus_MinFrameSize_dva;
		Bus_MinFrameSize_dva.push_back("512B");
		::Uml::InitAttributeProps(Bus::meta_MinFrameSize, "MinFrameSize", "String", false, false, 1, 1, false, "public", Bus_MinFrameSize_dva);
		vector<string> Bus_SwitchMemorySize_dva;
		Bus_SwitchMemorySize_dva.push_back("80MB");
		::Uml::InitAttributeProps(Bus::meta_SwitchMemorySize, "SwitchMemorySize", "String", false, false, 1, 1, false, "public", Bus_SwitchMemorySize_dva);

		::Uml::InitClassProps(CCode::meta, "CCode", false, "Model", NULL);
		::Uml::InitAttributeProps(CCode::meta_CodeInfo, "CodeInfo", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(CInputPort::meta, "CInputPort", false, "Model", NULL);
		::Uml::InitAttributeProps(CInputPort::meta_CPortType, "CPortType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(COutputPort::meta, "COutputPort", false, "Model", NULL);
		::Uml::InitAttributeProps(COutputPort::meta_CPortType, "CPortType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Channel::meta, "Channel", true, "Atom", NULL);
		::Uml::InitAttributeProps(Channel::meta_Configuration, "Configuration", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(CommMapping::meta, "CommMapping", false, "Connection", NULL);

		::Uml::InitClassProps(CommMapping_Members_Base::meta, "CommMapping_Members_Base", true, "FCO", NULL);

		::Uml::InitClassProps(Component::meta, "Component", false, "Model", NULL);

		::Uml::InitClassProps(ComponentAssignment::meta, "ComponentAssignment", false, "Connection", NULL);

		::Uml::InitClassProps(ComponentBase::meta, "ComponentBase", true, "FCO", NULL);
		::Uml::InitAttributeProps(ComponentBase::meta_Deadline, "Deadline", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(ComponentBase::meta_Period, "Period", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(ComponentRef::meta, "ComponentRef", false, "Reference", NULL);

		::Uml::InitClassProps(ComponentRef_RefersTo_Base::meta, "ComponentRef_RefersTo_Base", true, "FCO", NULL);

		::Uml::InitClassProps(Connectable::meta, "Connectable", true, "FCO", NULL);

		::Uml::InitClassProps(Connector::meta, "Connector", false, "Connection", NULL);
		::Uml::InitAttributeProps(Connector::meta_ConnectionType, "ConnectionType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(ConnectorRef::meta, "ConnectorRef", false, "Reference", NULL);

		::Uml::InitClassProps(Data::meta, "Data", false, "Model", NULL);
		::Uml::InitAttributeProps(Data::meta_Name, "Name", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_Description, "Description", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_DataType, "DataType", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_Port, "Port", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_Units, "Units", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_InitialValue, "InitialValue", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_Min, "Min", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_Max, "Max", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_ArraySize, "ArraySize", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Data::meta_ArrayFirstIndex, "ArrayFirstIndex", "String", false, false, 1, 1, false, "public", vector<string>());
		vector<string> Data_Scope_dva;
		Data_Scope_dva.push_back("LOCAL_DATA");
		::Uml::InitAttributeProps(Data::meta_Scope, "Scope", "String", false, false, 1, 1, false, "public", Data_Scope_dva);

		::Uml::InitClassProps(Dataflow::meta, "Dataflow", false, "Folder", NULL);
		::Uml::InitAttributeProps(Dataflow::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Dependency::meta, "Dependency", false, "Connection", NULL);

		::Uml::InitClassProps(DeploymentLibrary::meta, "DeploymentLibrary", false, "Folder", NULL);
		::Uml::InitAttributeProps(DeploymentLibrary::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(DesignFolder::meta, "DesignFolder", false, "Folder", NULL);
		::Uml::InitAttributeProps(DesignFolder::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(EnablePort::meta, "EnablePort", false, "Model", NULL);
		vector<string> EnablePort_StatesWhenEnabling_dva;
		EnablePort_StatesWhenEnabling_dva.push_back("held");
		::Uml::InitAttributeProps(EnablePort::meta_StatesWhenEnabling, "StatesWhenEnabling", "String", false, false, 1, 1, false, "public", EnablePort_StatesWhenEnabling_dva);

		::Uml::InitClassProps(Event::meta, "Event", false, "Model", NULL);
		::Uml::InitAttributeProps(Event::meta_Name, "Name", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Event::meta_Description, "Description", "String", false, false, 1, 1, false, "public", vector<string>());
		vector<string> Event_Scope_dva;
		Event_Scope_dva.push_back("LOCAL_EVENT");
		::Uml::InitAttributeProps(Event::meta_Scope, "Scope", "String", false, false, 1, 1, false, "public", Event_Scope_dva);
		vector<string> Event_Trigger_dva;
		Event_Trigger_dva.push_back("EITHER_EDGE_EVENT");
		::Uml::InitAttributeProps(Event::meta_Trigger, "Trigger", "String", false, false, 1, 1, false, "public", Event_Trigger_dva);
		::Uml::InitAttributeProps(Event::meta_Port, "Port", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Executable::meta, "Executable", true, "FCO", NULL);

		::Uml::InitClassProps(ExecutionAssignment::meta, "ExecutionAssignment", false, "Connection", NULL);

		::Uml::InitClassProps(ExecutionContext::meta, "ExecutionContext", true, "Model", NULL);

		::Uml::InitClassProps(ExecutionInfo::meta, "ExecutionInfo", true, "Model", NULL);
		::Uml::InitAttributeProps(ExecutionInfo::meta_WCDuration, "WCDuration", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(HWElement::meta, "HWElement", true, "Model", NULL);
		::Uml::InitAttributeProps(HWElement::meta_Configuration, "Configuration", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(HardwareUnit::meta, "HardwareUnit", false, "Model", NULL);

		::Uml::InitClassProps(History::meta, "History", false, "Atom", NULL);

		::Uml::InitClassProps(IChan::meta, "IChan", false, "Atom", NULL);

		::Uml::InitClassProps(IODevice::meta, "IODevice", false, "Model", NULL);
		::Uml::InitAttributeProps(IODevice::meta_DeviceType, "DeviceType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(IOPortAssignment::meta, "IOPortAssignment", false, "Connection", NULL);

		::Uml::InitClassProps(IOPortExp::meta, "IOPortExp", true, "FCO", NULL);

		::Uml::InitClassProps(IOPortInfo::meta, "IOPortInfo", false, "Model", NULL);
		::Uml::InitAttributeProps(IOPortInfo::meta_DataInit, "DataInit", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(IOPortInfo::meta_DataSize, "DataSize", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(IOPortInfo::meta_DataMin, "DataMin", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(IOPortInfo::meta_DataMax, "DataMax", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(IOPortInfo::meta_Scale, "Scale", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(IOPortInfo::meta_Offset, "Offset", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(IOPortInfoBase::meta, "IOPortInfoBase", true, "FCO", NULL);

		::Uml::InitClassProps(IOPortInfoRef::meta, "IOPortInfoRef", false, "Reference", NULL);

		::Uml::InitClassProps(InPort::meta, "InPort", true, "Model", NULL);

		::Uml::InitClassProps(Input::meta, "Input", true, "FCO", NULL);

		::Uml::InitClassProps(InputPort::meta, "InputPort", false, "Model", NULL);
		::Uml::InitAttributeProps(InputPort::meta_Number, "Number", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Junction::meta, "Junction", false, "Atom", NULL);

		::Uml::InitClassProps(Line::meta, "Line", false, "Connection", NULL);
		::Uml::InitAttributeProps(Line::meta_Name, "Name", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Matrix::meta, "Matrix", false, "Atom", NULL);
		::Uml::InitAttributeProps(Matrix::meta_rows, "rows", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Matrix::meta_Type, "Type", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Matrix::meta_columns, "columns", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Message::meta, "Message", false, "Model", NULL);
		::Uml::InitAttributeProps(Message::meta_MsgMetaData, "MsgMetaData", "String", false, false, 1, 1, false, "public", vector<string>());
		vector<string> Message_MsgSize_dva;
		Message_MsgSize_dva.push_back("1B");
		::Uml::InitAttributeProps(Message::meta_MsgSize, "MsgSize", "String", false, false, 1, 1, false, "public", Message_MsgSize_dva);

		::Uml::InitClassProps(MessageRef::meta, "MessageRef", false, "Reference", NULL);

		::Uml::InitClassProps(MessageRef_RefersTo_Base::meta, "MessageRef_RefersTo_Base", true, "FCO", NULL);

		::Uml::InitClassProps(MgaObject::meta, "MgaObject", true, NULL, NULL);
		::Uml::InitAttributeProps(MgaObject::meta_position, "position", "String", false, false, 0, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(MgaObject::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(ModelInfo::meta, "ModelInfo", false, "Atom", NULL);
		::Uml::InitAttributeProps(ModelInfo::meta_DateTimeStamp, "DateTimeStamp", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(ModelInfo::meta_ModelPath, "ModelPath", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(ModelsFolder::meta, "ModelsFolder", false, "Folder", NULL);
		::Uml::InitAttributeProps(ModelsFolder::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(MsgPort::meta, "MsgPort", false, "Model", NULL);
		vector<string> MsgPort_MsgPortNum_dva;
		MsgPort_MsgPortNum_dva.push_back("-1");
		::Uml::InitAttributeProps(MsgPort::meta_MsgPortNum, "MsgPortNum", "Integer", false, false, 1, 1, false, "public", MsgPort_MsgPortNum_dva);

		::Uml::InitClassProps(Node::meta, "Node", false, "Model", NULL);
		::Uml::InitAttributeProps(Node::meta_ROM, "ROM", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Node::meta_Simulator, "Simulator", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Node::meta_RAM, "RAM", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Node::meta_Speed, "Speed", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Node::meta_CPU, "CPU", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Node::meta_PlatformType, "PlatformType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(NodeRef::meta, "NodeRef", false, "Reference", NULL);

		::Uml::InitClassProps(OChan::meta, "OChan", false, "Atom", NULL);

		::Uml::InitClassProps(OS::meta, "OS", false, "Atom", NULL);
		vector<string> OS_SendOverheadTime_dva;
		OS_SendOverheadTime_dva.push_back("0s");
		::Uml::InitAttributeProps(OS::meta_SendOverheadTime, "SendOverheadTime", "String", false, false, 1, 1, false, "public", OS_SendOverheadTime_dva);
		vector<string> OS_ContextSwitchTime_dva;
		OS_ContextSwitchTime_dva.push_back("0s");
		::Uml::InitAttributeProps(OS::meta_ContextSwitchTime, "ContextSwitchTime", "String", false, false, 1, 1, false, "public", OS_ContextSwitchTime_dva);
		vector<string> OS_RecvOverheadTime_dva;
		OS_RecvOverheadTime_dva.push_back("0s");
		::Uml::InitAttributeProps(OS::meta_RecvOverheadTime, "RecvOverheadTime", "String", false, false, 1, 1, false, "public", OS_RecvOverheadTime_dva);
		vector<string> OS_TickResolution_dva;
		OS_TickResolution_dva.push_back("1ms");
		::Uml::InitAttributeProps(OS::meta_TickResolution, "TickResolution", "String", false, false, 1, 1, false, "public", OS_TickResolution_dva);

		::Uml::InitClassProps(OldBus::meta, "OldBus", false, "Model", NULL);
		::Uml::InitAttributeProps(OldBus::meta_FrameSize, "FrameSize", "Integer", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(OldBus::meta_Medium, "Medium", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(OldTask::meta, "OldTask", false, "Model", NULL);
		vector<string> OldTask_TaskType_dva;
		OldTask_TaskType_dva.push_back("AUTO");
		::Uml::InitAttributeProps(OldTask::meta_TaskType, "TaskType", "String", false, false, 1, 1, false, "public", OldTask_TaskType_dva);
		::Uml::InitAttributeProps(OldTask::meta_Priority, "Priority", "Integer", false, false, 1, 1, false, "public", vector<string>());
		vector<string> OldTask_Activation_dva;
		OldTask_Activation_dva.push_back("1");
		::Uml::InitAttributeProps(OldTask::meta_Activation, "Activation", "Integer", false, false, 1, 1, false, "public", OldTask_Activation_dva);
		vector<string> OldTask_AutoStart_dva;
		OldTask_AutoStart_dva.push_back("true");
		::Uml::InitAttributeProps(OldTask::meta_AutoStart, "AutoStart", "Boolean", false, false, 1, 1, false, "public", OldTask_AutoStart_dva);
		vector<string> OldTask_Preemption_dva;
		OldTask_Preemption_dva.push_back("FULL");
		::Uml::InitAttributeProps(OldTask::meta_Preemption, "Preemption", "String", false, false, 1, 1, false, "public", OldTask_Preemption_dva);
		vector<string> OldTask_Cyclic_dva;
		OldTask_Cyclic_dva.push_back("false");
		::Uml::InitAttributeProps(OldTask::meta_Cyclic, "Cyclic", "Boolean", false, false, 1, 1, false, "public", OldTask_Cyclic_dva);
		::Uml::InitAttributeProps(OldTask::meta_CycleTime, "CycleTime", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(OutPort::meta, "OutPort", true, "Model", NULL);

		::Uml::InitClassProps(Output::meta, "Output", true, "FCO", NULL);

		::Uml::InitClassProps(OutputPort::meta, "OutputPort", false, "Model", NULL);
		::Uml::InitAttributeProps(OutputPort::meta_Number, "Number", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Parameter::meta, "Parameter", false, "Atom", NULL);
		::Uml::InitAttributeProps(Parameter::meta_Value, "Value", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(PeriodicExecInfo::meta, "PeriodicExecInfo", true, "Model", NULL);
		::Uml::InitAttributeProps(PeriodicExecInfo::meta_ExecPeriod, "ExecPeriod", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(PhysConnection::meta, "PhysConnection", false, "Connection", NULL);

		::Uml::InitClassProps(PhysInterface::meta, "PhysInterface", true, "Model", NULL);

		::Uml::InitClassProps(Plant::meta, "Plant", false, "Model", NULL);

		::Uml::InitClassProps(PlatformLibrary::meta, "PlatformLibrary", false, "Folder", NULL);
		::Uml::InitAttributeProps(PlatformLibrary::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Port::meta, "Port", true, "Model", NULL);

		::Uml::InitClassProps(Primitive::meta, "Primitive", false, "Model", NULL);

		::Uml::InitClassProps(Reference::meta, "Reference", false, "Model", NULL);
		::Uml::InitAttributeProps(Reference::meta_SourceBlock, "SourceBlock", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Reference::meta_SourceType, "SourceType", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(RequirementsLibrary::meta, "RequirementsLibrary", false, "Folder", NULL);
		::Uml::InitAttributeProps(RequirementsLibrary::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(RootFolder::meta, "RootFolder", false, "Folder", NULL);
		::Uml::InitAttributeProps(RootFolder::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Router::meta, "Router", false, "Model", NULL);

		::Uml::InitClassProps(SporadicExecInfo::meta, "SporadicExecInfo", false, "Model", NULL);
		::Uml::InitAttributeProps(SporadicExecInfo::meta_MinimumPeriod, "MinimumPeriod", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(State::meta, "State", false, "Model", NULL);
		::Uml::InitAttributeProps(State::meta_Name, "Name", "String", false, false, 1, 1, false, "public", vector<string>());
		vector<string> State_Decomposition_dva;
		State_Decomposition_dva.push_back("OR_STATE");
		::Uml::InitAttributeProps(State::meta_Decomposition, "Decomposition", "String", false, false, 1, 1, false, "public", State_Decomposition_dva);
		::Uml::InitAttributeProps(State::meta_EnterAction, "EnterAction", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(State::meta_DuringAction, "DuringAction", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(State::meta_ExitAction, "ExitAction", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(State::meta_Order, "Order", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(StateDE::meta, "StateDE", true, "Model", NULL);

		::Uml::InitClassProps(StatePort::meta, "StatePort", false, "Model", NULL);

		::Uml::InitClassProps(Stateflow::meta, "Stateflow", false, "Folder", NULL);
		::Uml::InitAttributeProps(Stateflow::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Subsystem::meta, "Subsystem", false, "Model", NULL);

		::Uml::InitClassProps(SubsystemRef::meta, "SubsystemRef", false, "Reference", NULL);

		::Uml::InitClassProps(System::meta, "System", false, "Model", NULL);

		::Uml::InitClassProps(SystemTypes::meta, "SystemTypes", false, "Model", NULL);

		::Uml::InitClassProps(TTBus::meta, "TTBus", false, "Model", NULL);
		vector<string> TTBus_TTSetupTime_dva;
		TTBus_TTSetupTime_dva.push_back("0s");
		::Uml::InitAttributeProps(TTBus::meta_TTSetupTime, "TTSetupTime", "String", false, false, 1, 1, false, "public", TTBus_TTSetupTime_dva);
		vector<string> TTBus_Hyperperiod_dva;
		TTBus_Hyperperiod_dva.push_back("0s");
		::Uml::InitAttributeProps(TTBus::meta_Hyperperiod, "Hyperperiod", "String", false, false, 1, 1, false, "public", TTBus_Hyperperiod_dva);
		vector<string> TTBus_SlotSize_dva;
		TTBus_SlotSize_dva.push_back("512B");
		::Uml::InitAttributeProps(TTBus::meta_SlotSize, "SlotSize", "String", false, false, 1, 1, false, "public", TTBus_SlotSize_dva);

		::Uml::InitClassProps(TTExecContext::meta, "TTExecContext", false, "Model", NULL);
		::Uml::InitAttributeProps(TTExecContext::meta_Hyperperiod, "Hyperperiod", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(TTExecInfo::meta, "TTExecInfo", false, "Model", NULL);
		::Uml::InitAttributeProps(TTExecInfo::meta_TTSchedule, "TTSchedule", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(TaskRef::meta, "TaskRef", false, "Reference", NULL);

		::Uml::InitClassProps(TimingConstraint::meta, "TimingConstraint", false, "Connection", NULL);
		vector<string> TimingConstraint_Latency_dva;
		TimingConstraint_Latency_dva.push_back("1s");
		::Uml::InitAttributeProps(TimingConstraint::meta_Latency, "Latency", "String", false, false, 1, 1, false, "public", TimingConstraint_Latency_dva);

		::Uml::InitClassProps(TimingSheet::meta, "TimingSheet", false, "Model", NULL);

		::Uml::InitClassProps(TransConnector::meta, "TransConnector", true, "FCO", NULL);

		::Uml::InitClassProps(TransStart::meta, "TransStart", false, "Atom", NULL);

		::Uml::InitClassProps(Transition::meta, "Transition", false, "Connection", NULL);
		::Uml::InitAttributeProps(Transition::meta_Guard, "Guard", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Transition::meta_Trigger, "Trigger", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Transition::meta_Action, "Action", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Transition::meta_ConditionAction, "ConditionAction", "String", false, false, 1, 1, false, "public", vector<string>());
		::Uml::InitAttributeProps(Transition::meta_Order, "Order", "String", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(TriggerPort::meta, "TriggerPort", false, "Model", NULL);
		vector<string> TriggerPort_TriggerType_dva;
		TriggerPort_TriggerType_dva.push_back("rising");
		::Uml::InitAttributeProps(TriggerPort::meta_TriggerType, "TriggerType", "String", false, false, 1, 1, false, "public", TriggerPort_TriggerType_dva);

		::Uml::InitClassProps(TypeBase::meta, "TypeBase", true, "FCO", NULL);

		::Uml::InitClassProps(TypeBaseRef::meta, "TypeBaseRef", false, "Reference", NULL);
		::Uml::InitAttributeProps(TypeBaseRef::meta_MemberIndex, "MemberIndex", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(TypeStruct::meta, "TypeStruct", false, "Model", NULL);
		::Uml::InitAttributeProps(TypeStruct::meta_MemberCount, "MemberCount", "Integer", false, false, 1, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Types::meta, "Types", false, "Folder", NULL);
		::Uml::InitAttributeProps(Types::meta_name, "name", "String", false, false, 0, 1, false, "public", vector<string>());

		::Uml::InitClassProps(Wire::meta, "Wire", false, "Connection", NULL);

		// associations
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			ComponentRef_RefersTo_Base::meta_referedbyComponentRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef_RefersTo_Base::meta_referedbyComponentRef, "referedbyComponentRef", true, false, 0, -1);
			ComponentRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "CommMapping");
			CommMapping_Members_Base::meta_srcCommMapping = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(CommMapping_Members_Base::meta_srcCommMapping, "srcCommMapping", true, false, 0, -1);
			CommMapping_Members_Base::meta_dstCommMapping = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(CommMapping_Members_Base::meta_dstCommMapping, "dstCommMapping", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			MessageRef_RefersTo_Base::meta_referedbyBusMessageRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef_RefersTo_Base::meta_referedbyBusMessageRef, "referedbyBusMessageRef", true, false, 0, -1);
			MessageRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			TypeBase::meta_referedbyTypeStructRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TypeBase::meta_referedbyTypeStructRef, "referedbyTypeStructRef", true, false, 0, -1);
			TypeBaseRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TypeBaseRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "Wire");
			Connectable::meta_srcWire = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Connectable::meta_srcWire, "srcWire", true, false, 0, -1);
			Connectable::meta_dstWire = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Connectable::meta_dstWire, "dstWire", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "AcquisitionConnection");
			IChan::meta_srcAcquisitionConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IChan::meta_srcAcquisitionConnection, "srcAcquisitionConnection", true, false, 0, -1);
			IODevice::meta_dstAcquisitionConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IODevice::meta_dstAcquisitionConnection, "dstAcquisitionConnection", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "ActuationConnection");
			IODevice::meta_srcActuationConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IODevice::meta_srcActuationConnection, "srcActuationConnection", true, false, 0, -1);
			OChan::meta_dstActuationConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(OChan::meta_dstActuationConnection, "dstActuationConnection", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "PhysConnection");
			PhysInterface::meta_srcPhysConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(PhysInterface::meta_srcPhysConnection, "srcPhysConnection", true, false, 0, -1);
			PhysInterface::meta_dstPhysConnection = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(PhysInterface::meta_dstPhysConnection, "dstPhysConnection", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Node::meta_referedbyNodeRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Node::meta_referedbyNodeRef, "referedbyNodeRef", true, false, 0, -1);
			NodeRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(NodeRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "IOPortAssignment");
			IOPortExp::meta_srcIOPortAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IOPortExp::meta_srcIOPortAssignment, "srcIOPortAssignment", true, false, 0, -1);
			IOPortInfoBase::meta_dstIOPortAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IOPortInfoBase::meta_dstIOPortAssignment, "dstIOPortAssignment", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			IOPortInfo::meta_referedbyIOPortInfoRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IOPortInfo::meta_referedbyIOPortInfoRef, "referedbyIOPortInfoRef", true, false, 0, -1);
			IOPortInfoRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(IOPortInfoRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "Line");
			Port::meta_srcLine = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Port::meta_srcLine, "srcLine", true, false, 0, -1);
			Port::meta_dstLine = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Port::meta_dstLine, "dstLine", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Subsystem::meta_referedbySubsystemRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Subsystem::meta_referedbySubsystemRef, "referedbySubsystemRef", true, false, 0, -1);
			SubsystemRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(SubsystemRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "ComponentAssignment");
			NodeRef::meta_srcComponentAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(NodeRef::meta_srcComponentAssignment, "srcComponentAssignment", true, false, 0, -1);
			ComponentRef::meta_dstComponentAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_dstComponentAssignment, "dstComponentAssignment", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			CommMapping::meta_dstCommMapping__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(CommMapping::meta_dstCommMapping__rp_helper, "dstCommMapping__rp_helper", true, false, 0, 1);
			ComponentRef::meta_cms = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_cms, "cms", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			CommMapping::meta_srcCommMapping__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(CommMapping::meta_srcCommMapping__rp_helper, "srcCommMapping__rp_helper", true, false, 0, 1);
			ComponentRef::meta_cmd = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_cmd, "cmd", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Dependency::meta_dstDependency__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Dependency::meta_dstDependency__rp_helper, "dstDependency__rp_helper", true, false, 0, 1);
			ComponentRef::meta_dps = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_dps, "dps", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Dependency::meta_srcDependency__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Dependency::meta_srcDependency__rp_helper, "srcDependency__rp_helper", true, false, 0, 1);
			ComponentRef::meta_dpd = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_dpd, "dpd", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			ComponentRef::meta_eas = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ComponentRef::meta_eas, "eas", true, false, 0, 1);
			ExecutionAssignment::meta_dstExecutionAssignment__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ExecutionAssignment::meta_dstExecutionAssignment__rp_helper, "dstExecutionAssignment__rp_helper", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "ExecutionAssignment");
			Executable::meta_srcExecutionAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Executable::meta_srcExecutionAssignment, "srcExecutionAssignment", true, false, 0, -1);
			ExecutionInfo::meta_dstExecutionAssignment = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ExecutionInfo::meta_dstExecutionAssignment, "dstExecutionAssignment", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Connector::meta_dstConnector__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Connector::meta_dstConnector__rp_helper, "dstConnector__rp_helper", true, false, 0, 1);
			MessageRef::meta_cns = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef::meta_cns, "cns", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Connector::meta_srcConnector__rp_helper = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Connector::meta_srcConnector__rp_helper, "srcConnector__rp_helper", true, false, 0, 1);
			MessageRef::meta_cnd = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef::meta_cnd, "cnd", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			Component::meta_referedbyTaskRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Component::meta_referedbyTaskRef, "referedbyTaskRef", true, false, 0, -1);
			TaskRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TaskRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "Connector");
			Input::meta_srcConnector = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Input::meta_srcConnector, "srcConnector", true, false, 0, -1);
			Output::meta_dstConnector = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(Output::meta_dstConnector, "dstConnector", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "Dependency");
			MessageRef::meta_dstDependency = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef::meta_dstDependency, "dstDependency", true, false, 0, -1);
			MessageRef::meta_srcDependency = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(MessageRef::meta_srcDependency, "srcDependency", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "TimingConstraint");
			TaskRef::meta_srcTimingConstraint = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TaskRef::meta_srcTimingConstraint, "srcTimingConstraint", true, false, 0, -1);
			TaskRef::meta_dstTimingConstraint = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TaskRef::meta_dstTimingConstraint, "dstTimingConstraint", true, false, 0, -1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "");
			TransConnector::meta_referedbyConnectorRef = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TransConnector::meta_referedbyConnectorRef, "referedbyConnectorRef", true, false, 0, -1);
			ConnectorRef::meta_ref = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(ConnectorRef::meta_ref, "ref", true, false, 0, 1);

		}
		{
			::Uml::Association ass = ::Uml::Association::Create(meta);
			::Uml::InitAssociationProps(ass, "Transition");
			TransConnector::meta_dstTransition = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TransConnector::meta_dstTransition, "dstTransition", true, false, 0, -1);
			TransConnector::meta_srcTransition = ::Uml::AssociationRole::Create(ass);
			::Uml::InitAssociationRoleProps(TransConnector::meta_srcTransition, "srcTransition", true, false, 0, -1);

		}

		// compositions
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TypeBase::meta_Types_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TypeBase::meta_Types_parent, "Types_parent", true);
			Types::meta_TypeBase_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Types::meta_TypeBase_children, "TypeBase", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TypeBaseRef::meta_TypeStruct_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TypeBaseRef::meta_TypeStruct_parent, "TypeStruct_parent", true);
			TypeStruct::meta_TypeBaseRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(TypeStruct::meta_TypeBaseRef_children, "TypeBaseRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Channel::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Channel::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_Channel_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_Channel_children, "Channel", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			HWElement::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(HWElement::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_HWElement_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_HWElement_children, "HWElement", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Plant::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Plant::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_Plant_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_Plant_children, "Plant", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			PhysConnection::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(PhysConnection::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_PhysConnection_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_PhysConnection_children, "PhysConnection", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			AcquisitionConnection::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(AcquisitionConnection::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_AcquisitionConnection_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_AcquisitionConnection_children, "AcquisitionConnection", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ActuationConnection::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ActuationConnection::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_ActuationConnection_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_ActuationConnection_children, "ActuationConnection", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Wire::meta_HardwareUnit_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Wire::meta_HardwareUnit_parent, "HardwareUnit_parent", true);
			HardwareUnit::meta_Wire_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HardwareUnit::meta_Wire_children, "Wire", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			HardwareUnit::meta_PlatformLibrary_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(HardwareUnit::meta_PlatformLibrary_parent, "PlatformLibrary_parent", true);
			PlatformLibrary::meta_HardwareUnit_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(PlatformLibrary::meta_HardwareUnit_children, "HardwareUnit", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			BChan::meta_Router_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(BChan::meta_Router_parent, "Router_parent", true);
			Router::meta_BChan_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Router::meta_BChan_children, "BChan", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			OS::meta_Node_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(OS::meta_Node_parent, "Node_parent", true);
			Node::meta_OS_child = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Node::meta_OS_child, "OS", true, 0, 1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Channel::meta_Node_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Channel::meta_Node_parent, "Node_parent", true);
			Node::meta_Channel_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Node::meta_Channel_children, "Channel", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ExecutionContext::meta_HWElement_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ExecutionContext::meta_HWElement_parent, "HWElement_parent", true);
			HWElement::meta_ExecutionContext_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(HWElement::meta_ExecutionContext_children, "ExecutionContext", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Line::meta_Line_Block_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Line::meta_Line_Block_parent, "Line_Block_parent", true);
			Block::meta_Line = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Block::meta_Line, "Line", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Parameter::meta_Parameter_Block_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Parameter::meta_Parameter_Block_parent, "Parameter_Block_parent", true);
			Block::meta_Parameter = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Block::meta_Parameter, "Parameter", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Annotation::meta_Block_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Annotation::meta_Block_parent, "Block_parent", true);
			Block::meta_Annotation_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Block::meta_Annotation_children, "Annotation", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ConnectorRef::meta_Block_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ConnectorRef::meta_Block_parent, "Block_parent", true);
			Block::meta_ConnectorRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Block::meta_ConnectorRef_children, "ConnectorRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Port::meta_Block_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Port::meta_Block_parent, "Block_parent", true);
			Block::meta_Port_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Block::meta_Port_children, "Port", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TypeBaseRef::meta_Port_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TypeBaseRef::meta_Port_parent, "Port_parent", true);
			Port::meta_TypeBaseRef_child = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Port::meta_TypeBaseRef_child, "TypeBaseRef", true, 0, 1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Subsystem::meta_Dataflow_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Subsystem::meta_Dataflow_parent, "Dataflow_parent", true);
			Dataflow::meta_Subsystem_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Dataflow::meta_Subsystem_children, "Subsystem", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Block::meta_Subsystem_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Block::meta_Subsystem_parent, "Subsystem_parent", true);
			Subsystem::meta_Block_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Subsystem::meta_Block_children, "Block", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Stateflow::meta_ModelsFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Stateflow::meta_ModelsFolder_parent, "ModelsFolder_parent", true);
			ModelsFolder::meta_Stateflow_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(ModelsFolder::meta_Stateflow_children, "Stateflow", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Dataflow::meta_ModelsFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Dataflow::meta_ModelsFolder_parent, "ModelsFolder_parent", true);
			ModelsFolder::meta_Dataflow_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(ModelsFolder::meta_Dataflow_children, "Dataflow", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ModelInfo::meta_ModelsFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ModelInfo::meta_ModelsFolder_parent, "ModelsFolder_parent", true);
			ModelsFolder::meta_ModelInfo_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(ModelsFolder::meta_ModelInfo_children, "ModelInfo", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			System::meta_DeploymentLibrary_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(System::meta_DeploymentLibrary_parent, "DeploymentLibrary_parent", true);
			DeploymentLibrary::meta_System_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DeploymentLibrary::meta_System_children, "System", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			NodeRef::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(NodeRef::meta_System_parent, "System_parent", true);
			System::meta_NodeRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_NodeRef_children, "NodeRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ComponentRef::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ComponentRef::meta_System_parent, "System_parent", true);
			System::meta_ComponentRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_ComponentRef_children, "ComponentRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			CommMapping::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(CommMapping::meta_System_parent, "System_parent", true);
			System::meta_CommMapping_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_CommMapping_children, "CommMapping", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Dependency::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Dependency::meta_System_parent, "System_parent", true);
			System::meta_Dependency_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_Dependency_children, "Dependency", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ComponentAssignment::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ComponentAssignment::meta_System_parent, "System_parent", true);
			System::meta_ComponentAssignment_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_ComponentAssignment_children, "ComponentAssignment", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ExecutionInfo::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ExecutionInfo::meta_System_parent, "System_parent", true);
			System::meta_ExecutionInfo_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_ExecutionInfo_children, "ExecutionInfo", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ExecutionAssignment::meta_System_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ExecutionAssignment::meta_System_parent, "System_parent", true);
			System::meta_ExecutionAssignment_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(System::meta_ExecutionAssignment_children, "ExecutionAssignment", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			SystemTypes::meta_ArchitectureLibrary_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(SystemTypes::meta_ArchitectureLibrary_parent, "ArchitectureLibrary_parent", true);
			ArchitectureLibrary::meta_SystemTypes_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(ArchitectureLibrary::meta_SystemTypes_children, "SystemTypes", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Component::meta_SystemTypes_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Component::meta_SystemTypes_parent, "SystemTypes_parent", true);
			SystemTypes::meta_Component_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(SystemTypes::meta_Component_children, "Component", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Message::meta_SystemTypes_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Message::meta_SystemTypes_parent, "SystemTypes_parent", true);
			SystemTypes::meta_Message_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(SystemTypes::meta_Message_children, "Message", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			MsgPort::meta_Message_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(MsgPort::meta_Message_parent, "Message_parent", true);
			Message::meta_MsgPort_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Message::meta_MsgPort_children, "MsgPort", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			HardwareUnit::meta_DesignFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(HardwareUnit::meta_DesignFolder_parent, "DesignFolder_parent", true);
			DesignFolder::meta_HardwareUnit_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DesignFolder::meta_HardwareUnit_children, "HardwareUnit", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			SystemTypes::meta_DesignFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(SystemTypes::meta_DesignFolder_parent, "DesignFolder_parent", true);
			DesignFolder::meta_SystemTypes_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DesignFolder::meta_SystemTypes_children, "SystemTypes", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ModelsFolder::meta_DesignFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ModelsFolder::meta_DesignFolder_parent, "DesignFolder_parent", true);
			DesignFolder::meta_ModelsFolder_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DesignFolder::meta_ModelsFolder_children, "ModelsFolder", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			System::meta_DesignFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(System::meta_DesignFolder_parent, "DesignFolder_parent", true);
			DesignFolder::meta_System_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DesignFolder::meta_System_children, "System", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TimingSheet::meta_DesignFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TimingSheet::meta_DesignFolder_parent, "DesignFolder_parent", true);
			DesignFolder::meta_TimingSheet_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(DesignFolder::meta_TimingSheet_children, "TimingSheet", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ComponentBase::meta_Component_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ComponentBase::meta_Component_parent, "Component_parent", true);
			Component::meta_ComponentBase_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Component::meta_ComponentBase_children, "ComponentBase", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			MessageRef::meta_Component_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(MessageRef::meta_Component_parent, "Component_parent", true);
			Component::meta_MessageRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Component::meta_MessageRef_children, "MessageRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Connector::meta_Component_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Connector::meta_Component_parent, "Component_parent", true);
			Component::meta_Connector_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Component::meta_Connector_children, "Connector", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TimingSheet::meta_RequirementsLibrary_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TimingSheet::meta_RequirementsLibrary_parent, "RequirementsLibrary_parent", true);
			RequirementsLibrary::meta_TimingSheet_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RequirementsLibrary::meta_TimingSheet_children, "TimingSheet", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TimingConstraint::meta_TimingSheet_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TimingConstraint::meta_TimingSheet_parent, "TimingSheet_parent", true);
			TimingSheet::meta_TimingConstraint_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(TimingSheet::meta_TimingConstraint_children, "TimingConstraint", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TaskRef::meta_TimingSheet_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TaskRef::meta_TimingSheet_parent, "TimingSheet_parent", true);
			TimingSheet::meta_TaskRef_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(TimingSheet::meta_TaskRef_children, "TaskRef", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			CInputPort::meta_CCode_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(CInputPort::meta_CCode_parent, "CCode_parent", true);
			CCode::meta_CInputPort_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(CCode::meta_CInputPort_children, "CInputPort", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			COutputPort::meta_CCode_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(COutputPort::meta_CCode_parent, "CCode_parent", true);
			CCode::meta_COutputPort_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(CCode::meta_COutputPort_children, "COutputPort", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TransConnector::meta_State_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TransConnector::meta_State_parent, "State_parent", true);
			State::meta_TransConnector_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(State::meta_TransConnector_children, "TransConnector", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Transition::meta_Transition_State_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Transition::meta_Transition_State_parent, "Transition_State_parent", true);
			State::meta_Transition = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(State::meta_Transition, "Transition", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			StateDE::meta_State_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(StateDE::meta_State_parent, "State_parent", true);
			State::meta_StateDE_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(State::meta_StateDE_children, "StateDE", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			State::meta_Stateflow_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(State::meta_Stateflow_parent, "Stateflow_parent", true);
			Stateflow::meta_State_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(Stateflow::meta_State_children, "State", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			TypeBaseRef::meta_StateDE_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(TypeBaseRef::meta_StateDE_parent, "StateDE_parent", true);
			StateDE::meta_TypeBaseRef_child = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(StateDE::meta_TypeBaseRef_child, "TypeBaseRef", true, 0, 1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			PlatformLibrary::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(PlatformLibrary::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_PlatformLibrary_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_PlatformLibrary_children, "PlatformLibrary", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			Types::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(Types::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_Types_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_Types_children, "Types", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			DeploymentLibrary::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(DeploymentLibrary::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_DeploymentLibrary_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_DeploymentLibrary_children, "DeploymentLibrary", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			ArchitectureLibrary::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(ArchitectureLibrary::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_ArchitectureLibrary_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_ArchitectureLibrary_children, "ArchitectureLibrary", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			DesignFolder::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(DesignFolder::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_DesignFolder_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_DesignFolder_children, "DesignFolder", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			RequirementsLibrary::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(RequirementsLibrary::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_RequirementsLibrary_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_RequirementsLibrary_children, "RequirementsLibrary", true, 0, -1);

		}
		{
			::Uml::Composition comp = ::Uml::Composition::Create(meta);
			::Uml::InitCompositionProps(comp, "", false);
			RootFolder::meta_RootFolder_parent = ::Uml::CompositionParentRole::Create(comp);
			::Uml::InitCompositionParentRoleProps(RootFolder::meta_RootFolder_parent, "RootFolder_parent", true);
			RootFolder::meta_RootFolder_children = ::Uml::CompositionChildRole::Create(comp);
			::Uml::InitCompositionChildRoleProps(RootFolder::meta_RootFolder_children, "RootFolder", true, 0, -1);

		}

	}

	void InitMetaLinks() {
		HardwareUnit::meta_AcquisitionConnection_children.target() = AcquisitionConnection::meta;
		AcquisitionConnection::meta.association() = IChan::meta_srcAcquisitionConnection.parent();
		AcquisitionConnection::meta_srcAcquisitionConnection_end_ = IODevice::meta_dstAcquisitionConnection_rev = IChan::meta_srcAcquisitionConnection;
		AcquisitionConnection::meta_dstAcquisitionConnection_end_ = IChan::meta_srcAcquisitionConnection_rev = IODevice::meta_dstAcquisitionConnection;

		HardwareUnit::meta_ActuationConnection_children.target() = ActuationConnection::meta;
		ActuationConnection::meta.association() = IODevice::meta_srcActuationConnection.parent();
		ActuationConnection::meta_srcActuationConnection_end_ = OChan::meta_dstActuationConnection_rev = IODevice::meta_srcActuationConnection;
		ActuationConnection::meta_dstActuationConnection_end_ = IODevice::meta_srcActuationConnection_rev = OChan::meta_dstActuationConnection;

		Block::meta_Annotation_children.target() = Annotation::meta;

		AperiodicExecInfo::meta.subTypes() += SporadicExecInfo::meta;

		SystemTypes::meta_ArchitectureLibrary_parent.target() = ArchitectureLibrary::meta;
		RootFolder::meta_ArchitectureLibrary_children.target() = ArchitectureLibrary::meta;

		Router::meta_BChan_children.target() = BChan::meta;

		Line::meta_Line_Block_parent.target() = Block::meta;
		Parameter::meta_Parameter_Block_parent.target() = Block::meta;
		Annotation::meta_Block_parent.target() = Block::meta;
		ConnectorRef::meta_Block_parent.target() = Block::meta;
		Port::meta_Block_parent.target() = Block::meta;
		Subsystem::meta_Block_children.target() = Block::meta;
		Block::meta.subTypes() += Primitive::meta;
		Block::meta.subTypes() += Reference::meta;
		Block::meta.subTypes() += Subsystem::meta;

		Bus::meta.subTypes() += TTBus::meta;
		Bus::meta.subTypes() += OldBus::meta;

		CInputPort::meta_CCode_parent.target() = CCode::meta;
		COutputPort::meta_CCode_parent.target() = CCode::meta;

		CCode::meta_CInputPort_children.target() = CInputPort::meta;

		CCode::meta_COutputPort_children.target() = COutputPort::meta;

		HardwareUnit::meta_Channel_children.target() = Channel::meta;
		Node::meta_Channel_children.target() = Channel::meta;
		Channel::meta.subTypes() += IChan::meta;
		Channel::meta.subTypes() += OChan::meta;
		Channel::meta.subTypes() += BChan::meta;

		CommMapping::meta_dstCommMapping__rp_helper.target() = ComponentRef::meta;
		CommMapping::meta_srcCommMapping__rp_helper.target() = ComponentRef::meta;
		System::meta_CommMapping_children.target() = CommMapping::meta;
		CommMapping::meta.association() = CommMapping_Members_Base::meta_srcCommMapping.parent();
		CommMapping::meta_srcCommMapping_end_ = CommMapping_Members_Base::meta_dstCommMapping_rev = CommMapping_Members_Base::meta_srcCommMapping;
		CommMapping::meta_dstCommMapping_end_ = CommMapping_Members_Base::meta_srcCommMapping_rev = CommMapping_Members_Base::meta_dstCommMapping;

		CommMapping_Members_Base::meta_srcCommMapping.target() = CommMapping_Members_Base::meta;
		CommMapping_Members_Base::meta_dstCommMapping.target() = CommMapping_Members_Base::meta;
		CommMapping_Members_Base::meta.subTypes() += Channel::meta;
		CommMapping_Members_Base::meta.subTypes() += MessageRef::meta;

		Component::meta_referedbyTaskRef.target() = TaskRef::meta;
		ComponentBase::meta_Component_parent.target() = Component::meta;
		MessageRef::meta_Component_parent.target() = Component::meta;
		Connector::meta_Component_parent.target() = Component::meta;
		SystemTypes::meta_Component_children.target() = Component::meta;

		System::meta_ComponentAssignment_children.target() = ComponentAssignment::meta;
		ComponentAssignment::meta.association() = NodeRef::meta_srcComponentAssignment.parent();
		ComponentAssignment::meta_srcComponentAssignment_end_ = ComponentRef::meta_dstComponentAssignment_rev = NodeRef::meta_srcComponentAssignment;
		ComponentAssignment::meta_dstComponentAssignment_end_ = NodeRef::meta_srcComponentAssignment_rev = ComponentRef::meta_dstComponentAssignment;

		Component::meta_ComponentBase_children.target() = ComponentBase::meta;
		ComponentBase::meta.subTypes() += Subsystem::meta;
		ComponentBase::meta.subTypes() += CCode::meta;
		ComponentBase::meta.subTypes() += SubsystemRef::meta;

		ComponentRef::meta_ref.target() = ComponentRef_RefersTo_Base::meta;
		ComponentRef::meta_dstComponentAssignment.target() = NodeRef::meta;
		ComponentRef::meta_cms.target() = CommMapping::meta;
		ComponentRef::meta_cmd.target() = CommMapping::meta;
		ComponentRef::meta_dps.target() = Dependency::meta;
		ComponentRef::meta_dpd.target() = Dependency::meta;
		ComponentRef::meta_eas.target() = ExecutionAssignment::meta;
		System::meta_ComponentRef_children.target() = ComponentRef::meta;

		ComponentRef_RefersTo_Base::meta_referedbyComponentRef.target() = ComponentRef::meta;
		ComponentRef_RefersTo_Base::meta.subTypes() += ComponentRef::meta;
		ComponentRef_RefersTo_Base::meta.subTypes() += Component::meta;

		Connectable::meta_srcWire.target() = Connectable::meta;
		Connectable::meta_dstWire.target() = Connectable::meta;
		Connectable::meta.subTypes() += Bus::meta;
		Connectable::meta.subTypes() += Channel::meta;

		Connector::meta_dstConnector__rp_helper.target() = MessageRef::meta;
		Connector::meta_srcConnector__rp_helper.target() = MessageRef::meta;
		Component::meta_Connector_children.target() = Connector::meta;
		Connector::meta.association() = Input::meta_srcConnector.parent();
		Connector::meta_srcConnector_end_ = Output::meta_dstConnector_rev = Input::meta_srcConnector;
		Connector::meta_dstConnector_end_ = Input::meta_srcConnector_rev = Output::meta_dstConnector;

		ConnectorRef::meta_ref.target() = TransConnector::meta;
		Block::meta_ConnectorRef_children.target() = ConnectorRef::meta;

		Subsystem::meta_Dataflow_parent.target() = Dataflow::meta;
		ModelsFolder::meta_Dataflow_children.target() = Dataflow::meta;

		Dependency::meta_dstDependency__rp_helper.target() = ComponentRef::meta;
		Dependency::meta_srcDependency__rp_helper.target() = ComponentRef::meta;
		System::meta_Dependency_children.target() = Dependency::meta;
		Dependency::meta.association() = MessageRef::meta_dstDependency.parent();
		Dependency::meta_dstDependency_end_ = MessageRef::meta_srcDependency_rev = MessageRef::meta_dstDependency;
		Dependency::meta_srcDependency_end_ = MessageRef::meta_dstDependency_rev = MessageRef::meta_srcDependency;

		System::meta_DeploymentLibrary_parent.target() = DeploymentLibrary::meta;
		RootFolder::meta_DeploymentLibrary_children.target() = DeploymentLibrary::meta;

		HardwareUnit::meta_DesignFolder_parent.target() = DesignFolder::meta;
		SystemTypes::meta_DesignFolder_parent.target() = DesignFolder::meta;
		ModelsFolder::meta_DesignFolder_parent.target() = DesignFolder::meta;
		System::meta_DesignFolder_parent.target() = DesignFolder::meta;
		TimingSheet::meta_DesignFolder_parent.target() = DesignFolder::meta;
		RootFolder::meta_DesignFolder_children.target() = DesignFolder::meta;

		Executable::meta_srcExecutionAssignment.target() = ExecutionInfo::meta;
		Executable::meta.subTypes() += Channel::meta;
		Executable::meta.subTypes() += ComponentRef::meta;
		Executable::meta.subTypes() += MessageRef::meta;

		ExecutionAssignment::meta_dstExecutionAssignment__rp_helper.target() = ComponentRef::meta;
		System::meta_ExecutionAssignment_children.target() = ExecutionAssignment::meta;
		ExecutionAssignment::meta.association() = Executable::meta_srcExecutionAssignment.parent();
		ExecutionAssignment::meta_srcExecutionAssignment_end_ = ExecutionInfo::meta_dstExecutionAssignment_rev = Executable::meta_srcExecutionAssignment;
		ExecutionAssignment::meta_dstExecutionAssignment_end_ = Executable::meta_srcExecutionAssignment_rev = ExecutionInfo::meta_dstExecutionAssignment;

		HWElement::meta_ExecutionContext_children.target() = ExecutionContext::meta;
		ExecutionContext::meta.subTypes() += TTExecContext::meta;

		ExecutionInfo::meta_dstExecutionAssignment.target() = Executable::meta;
		System::meta_ExecutionInfo_children.target() = ExecutionInfo::meta;
		ExecutionInfo::meta.subTypes() += PeriodicExecInfo::meta;
		ExecutionInfo::meta.subTypes() += AperiodicExecInfo::meta;

		ExecutionContext::meta_HWElement_parent.target() = HWElement::meta;
		HardwareUnit::meta_HWElement_children.target() = HWElement::meta;
		HWElement::meta.subTypes() += HardwareUnit::meta;
		HWElement::meta.subTypes() += Router::meta;
		HWElement::meta.subTypes() += IODevice::meta;
		HWElement::meta.subTypes() += Bus::meta;
		HWElement::meta.subTypes() += Node::meta;

		Channel::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		HWElement::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		Plant::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		PhysConnection::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		AcquisitionConnection::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		ActuationConnection::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		Wire::meta_HardwareUnit_parent.target() = HardwareUnit::meta;
		DesignFolder::meta_HardwareUnit_children.target() = HardwareUnit::meta;
		PlatformLibrary::meta_HardwareUnit_children.target() = HardwareUnit::meta;

		IChan::meta_srcAcquisitionConnection.target() = IODevice::meta;

		IODevice::meta_dstAcquisitionConnection.target() = IChan::meta;
		IODevice::meta_srcActuationConnection.target() = OChan::meta;

		IOPortAssignment::meta.association() = IOPortExp::meta_srcIOPortAssignment.parent();
		IOPortAssignment::meta_srcIOPortAssignment_end_ = IOPortInfoBase::meta_dstIOPortAssignment_rev = IOPortExp::meta_srcIOPortAssignment;
		IOPortAssignment::meta_dstIOPortAssignment_end_ = IOPortExp::meta_srcIOPortAssignment_rev = IOPortInfoBase::meta_dstIOPortAssignment;

		IOPortExp::meta_srcIOPortAssignment.target() = IOPortInfoBase::meta;
		IOPortExp::meta.subTypes() += Output::meta;
		IOPortExp::meta.subTypes() += Input::meta;

		IOPortInfo::meta_referedbyIOPortInfoRef.target() = IOPortInfoRef::meta;

		IOPortInfoBase::meta_dstIOPortAssignment.target() = IOPortExp::meta;
		IOPortInfoBase::meta.subTypes() += IOPortInfo::meta;
		IOPortInfoBase::meta.subTypes() += IOPortInfoRef::meta;

		IOPortInfoRef::meta_ref.target() = IOPortInfo::meta;

		InPort::meta.subTypes() += EnablePort::meta;
		InPort::meta.subTypes() += TriggerPort::meta;
		InPort::meta.subTypes() += ActionPort::meta;
		InPort::meta.subTypes() += InputPort::meta;

		Input::meta_srcConnector.target() = Output::meta;
		Input::meta.subTypes() += InputPort::meta;
		Input::meta.subTypes() += MsgPort::meta;
		Input::meta.subTypes() += MessageRef::meta;
		Input::meta.subTypes() += CInputPort::meta;

		Block::meta_Line.target() = Line::meta;
		Line::meta.association() = Port::meta_srcLine.parent();
		Line::meta_srcLine_end_ = Port::meta_dstLine_rev = Port::meta_srcLine;
		Line::meta_dstLine_end_ = Port::meta_srcLine_rev = Port::meta_dstLine;

		MsgPort::meta_Message_parent.target() = Message::meta;
		SystemTypes::meta_Message_children.target() = Message::meta;

		MessageRef::meta_ref.target() = MessageRef_RefersTo_Base::meta;
		MessageRef::meta_cns.target() = Connector::meta;
		MessageRef::meta_cnd.target() = Connector::meta;
		MessageRef::meta_dstDependency.target() = MessageRef::meta;
		MessageRef::meta_srcDependency.target() = MessageRef::meta;
		Component::meta_MessageRef_children.target() = MessageRef::meta;

		MessageRef_RefersTo_Base::meta_referedbyBusMessageRef.target() = MessageRef::meta;
		MessageRef_RefersTo_Base::meta.subTypes() += Message::meta;
		MessageRef_RefersTo_Base::meta.subTypes() += MessageRef::meta;

		MgaObject::meta.subTypes() += TypeBase::meta;
		MgaObject::meta.subTypes() += TypeBaseRef::meta;
		MgaObject::meta.subTypes() += OS::meta;
		MgaObject::meta.subTypes() += Wire::meta;
		MgaObject::meta.subTypes() += Connectable::meta;
		MgaObject::meta.subTypes() += PhysConnection::meta;
		MgaObject::meta.subTypes() += AcquisitionConnection::meta;
		MgaObject::meta.subTypes() += ActuationConnection::meta;
		MgaObject::meta.subTypes() += PhysInterface::meta;
		MgaObject::meta.subTypes() += HWElement::meta;
		MgaObject::meta.subTypes() += IOPortExp::meta;
		MgaObject::meta.subTypes() += IOPortAssignment::meta;
		MgaObject::meta.subTypes() += IOPortInfoBase::meta;
		MgaObject::meta.subTypes() += OldTask::meta;
		MgaObject::meta.subTypes() += Block::meta;
		MgaObject::meta.subTypes() += Parameter::meta;
		MgaObject::meta.subTypes() += Annotation::meta;
		MgaObject::meta.subTypes() += Line::meta;
		MgaObject::meta.subTypes() += Port::meta;
		MgaObject::meta.subTypes() += ModelInfo::meta;
		MgaObject::meta.subTypes() += NodeRef::meta;
		MgaObject::meta.subTypes() += CommMapping::meta;
		MgaObject::meta.subTypes() += Dependency::meta;
		MgaObject::meta.subTypes() += ComponentAssignment::meta;
		MgaObject::meta.subTypes() += System::meta;
		MgaObject::meta.subTypes() += ExecutionContext::meta;
		MgaObject::meta.subTypes() += ExecutionInfo::meta;
		MgaObject::meta.subTypes() += ExecutionAssignment::meta;
		MgaObject::meta.subTypes() += Executable::meta;
		MgaObject::meta.subTypes() += SystemTypes::meta;
		MgaObject::meta.subTypes() += Connector::meta;
		MgaObject::meta.subTypes() += Message::meta;
		MgaObject::meta.subTypes() += Component::meta;
		MgaObject::meta.subTypes() += ComponentBase::meta;
		MgaObject::meta.subTypes() += TimingConstraint::meta;
		MgaObject::meta.subTypes() += TimingSheet::meta;
		MgaObject::meta.subTypes() += TaskRef::meta;
		MgaObject::meta.subTypes() += Transition::meta;
		MgaObject::meta.subTypes() += TransConnector::meta;
		MgaObject::meta.subTypes() += StateDE::meta;

		ModelsFolder::meta_ModelInfo_children.target() = ModelInfo::meta;

		Stateflow::meta_ModelsFolder_parent.target() = ModelsFolder::meta;
		Dataflow::meta_ModelsFolder_parent.target() = ModelsFolder::meta;
		ModelInfo::meta_ModelsFolder_parent.target() = ModelsFolder::meta;
		DesignFolder::meta_ModelsFolder_children.target() = ModelsFolder::meta;

		Message::meta_MsgPort_children.target() = MsgPort::meta;

		Node::meta_referedbyNodeRef.target() = NodeRef::meta;
		OS::meta_Node_parent.target() = Node::meta;
		Channel::meta_Node_parent.target() = Node::meta;

		NodeRef::meta_ref.target() = Node::meta;
		NodeRef::meta_srcComponentAssignment.target() = ComponentRef::meta;
		System::meta_NodeRef_children.target() = NodeRef::meta;

		OChan::meta_dstActuationConnection.target() = IODevice::meta;

		Node::meta_OS_child.target() = OS::meta;

		OutPort::meta.subTypes() += StatePort::meta;
		OutPort::meta.subTypes() += OutputPort::meta;

		Output::meta_dstConnector.target() = Input::meta;
		Output::meta.subTypes() += OutputPort::meta;
		Output::meta.subTypes() += MsgPort::meta;
		Output::meta.subTypes() += MessageRef::meta;
		Output::meta.subTypes() += COutputPort::meta;

		Block::meta_Parameter.target() = Parameter::meta;

		PeriodicExecInfo::meta.subTypes() += AsyncPeriodicExecInfo::meta;
		PeriodicExecInfo::meta.subTypes() += TTExecInfo::meta;

		HardwareUnit::meta_PhysConnection_children.target() = PhysConnection::meta;
		PhysConnection::meta.association() = PhysInterface::meta_srcPhysConnection.parent();
		PhysConnection::meta_srcPhysConnection_end_ = PhysInterface::meta_dstPhysConnection_rev = PhysInterface::meta_srcPhysConnection;
		PhysConnection::meta_dstPhysConnection_end_ = PhysInterface::meta_srcPhysConnection_rev = PhysInterface::meta_dstPhysConnection;

		PhysInterface::meta_srcPhysConnection.target() = PhysInterface::meta;
		PhysInterface::meta_dstPhysConnection.target() = PhysInterface::meta;
		PhysInterface::meta.subTypes() += Plant::meta;
		PhysInterface::meta.subTypes() += IODevice::meta;

		HardwareUnit::meta_Plant_children.target() = Plant::meta;

		HardwareUnit::meta_PlatformLibrary_parent.target() = PlatformLibrary::meta;
		RootFolder::meta_PlatformLibrary_children.target() = PlatformLibrary::meta;

		Port::meta_srcLine.target() = Port::meta;
		Port::meta_dstLine.target() = Port::meta;
		TypeBaseRef::meta_Port_parent.target() = Port::meta;
		Block::meta_Port_children.target() = Port::meta;
		Port::meta.subTypes() += OutPort::meta;
		Port::meta.subTypes() += InPort::meta;

		TimingSheet::meta_RequirementsLibrary_parent.target() = RequirementsLibrary::meta;
		RootFolder::meta_RequirementsLibrary_children.target() = RequirementsLibrary::meta;

		PlatformLibrary::meta_RootFolder_parent.target() = RootFolder::meta;
		Types::meta_RootFolder_parent.target() = RootFolder::meta;
		DeploymentLibrary::meta_RootFolder_parent.target() = RootFolder::meta;
		ArchitectureLibrary::meta_RootFolder_parent.target() = RootFolder::meta;
		DesignFolder::meta_RootFolder_parent.target() = RootFolder::meta;
		RequirementsLibrary::meta_RootFolder_parent.target() = RootFolder::meta;
		RootFolder::meta_RootFolder_parent.target() = RootFolder::meta;
		RootFolder::meta_RootFolder_children.target() = RootFolder::meta;

		BChan::meta_Router_parent.target() = Router::meta;

		TransConnector::meta_State_parent.target() = State::meta;
		Transition::meta_Transition_State_parent.target() = State::meta;
		StateDE::meta_State_parent.target() = State::meta;
		Stateflow::meta_State_children.target() = State::meta;

		TypeBaseRef::meta_StateDE_parent.target() = StateDE::meta;
		State::meta_StateDE_children.target() = StateDE::meta;
		StateDE::meta.subTypes() += Data::meta;
		StateDE::meta.subTypes() += Event::meta;

		State::meta_Stateflow_parent.target() = Stateflow::meta;
		ModelsFolder::meta_Stateflow_children.target() = Stateflow::meta;

		Subsystem::meta_referedbySubsystemRef.target() = SubsystemRef::meta;
		Block::meta_Subsystem_parent.target() = Subsystem::meta;
		Dataflow::meta_Subsystem_children.target() = Subsystem::meta;

		SubsystemRef::meta_ref.target() = Subsystem::meta;

		NodeRef::meta_System_parent.target() = System::meta;
		ComponentRef::meta_System_parent.target() = System::meta;
		CommMapping::meta_System_parent.target() = System::meta;
		Dependency::meta_System_parent.target() = System::meta;
		ComponentAssignment::meta_System_parent.target() = System::meta;
		ExecutionInfo::meta_System_parent.target() = System::meta;
		ExecutionAssignment::meta_System_parent.target() = System::meta;
		DeploymentLibrary::meta_System_children.target() = System::meta;
		DesignFolder::meta_System_children.target() = System::meta;

		Component::meta_SystemTypes_parent.target() = SystemTypes::meta;
		Message::meta_SystemTypes_parent.target() = SystemTypes::meta;
		ArchitectureLibrary::meta_SystemTypes_children.target() = SystemTypes::meta;
		DesignFolder::meta_SystemTypes_children.target() = SystemTypes::meta;

		TaskRef::meta_ref.target() = Component::meta;
		TaskRef::meta_srcTimingConstraint.target() = TaskRef::meta;
		TaskRef::meta_dstTimingConstraint.target() = TaskRef::meta;
		TimingSheet::meta_TaskRef_children.target() = TaskRef::meta;

		TimingSheet::meta_TimingConstraint_children.target() = TimingConstraint::meta;
		TimingConstraint::meta.association() = TaskRef::meta_srcTimingConstraint.parent();
		TimingConstraint::meta_srcTimingConstraint_end_ = TaskRef::meta_dstTimingConstraint_rev = TaskRef::meta_srcTimingConstraint;
		TimingConstraint::meta_dstTimingConstraint_end_ = TaskRef::meta_srcTimingConstraint_rev = TaskRef::meta_dstTimingConstraint;

		TimingConstraint::meta_TimingSheet_parent.target() = TimingSheet::meta;
		TaskRef::meta_TimingSheet_parent.target() = TimingSheet::meta;
		DesignFolder::meta_TimingSheet_children.target() = TimingSheet::meta;
		RequirementsLibrary::meta_TimingSheet_children.target() = TimingSheet::meta;

		TransConnector::meta_referedbyConnectorRef.target() = ConnectorRef::meta;
		TransConnector::meta_dstTransition.target() = TransConnector::meta;
		TransConnector::meta_srcTransition.target() = TransConnector::meta;
		State::meta_TransConnector_children.target() = TransConnector::meta;
		TransConnector::meta.subTypes() += State::meta;
		TransConnector::meta.subTypes() += History::meta;
		TransConnector::meta.subTypes() += TransStart::meta;
		TransConnector::meta.subTypes() += Junction::meta;
		TransConnector::meta.subTypes() += ConnectorRef::meta;

		State::meta_Transition.target() = Transition::meta;
		Transition::meta.association() = TransConnector::meta_dstTransition.parent();
		Transition::meta_dstTransition_end_ = TransConnector::meta_srcTransition_rev = TransConnector::meta_dstTransition;
		Transition::meta_srcTransition_end_ = TransConnector::meta_dstTransition_rev = TransConnector::meta_srcTransition;

		TypeBase::meta_referedbyTypeStructRef.target() = TypeBaseRef::meta;
		Types::meta_TypeBase_children.target() = TypeBase::meta;
		TypeBase::meta.subTypes() += TypeStruct::meta;
		TypeBase::meta.subTypes() += Matrix::meta;

		TypeBaseRef::meta_ref.target() = TypeBase::meta;
		TypeStruct::meta_TypeBaseRef_children.target() = TypeBaseRef::meta;
		Port::meta_TypeBaseRef_child.target() = TypeBaseRef::meta;
		StateDE::meta_TypeBaseRef_child.target() = TypeBaseRef::meta;

		TypeBaseRef::meta_TypeStruct_parent.target() = TypeStruct::meta;

		TypeBase::meta_Types_parent.target() = Types::meta;
		RootFolder::meta_Types_children.target() = Types::meta;

		HardwareUnit::meta_Wire_children.target() = Wire::meta;
		Wire::meta.association() = Connectable::meta_srcWire.parent();
		Wire::meta_srcWire_end_ = Connectable::meta_dstWire_rev = Connectable::meta_srcWire;
		Wire::meta_dstWire_end_ = Connectable::meta_srcWire_rev = Connectable::meta_dstWire;

	}

	void InitMeta(const ::Uml::Diagram &parent) {
		// classes, with attributes, constraints and constraint definitions
		::Uml::SetClass(AcquisitionConnection::meta, parent, "AcquisitionConnection");

		::Uml::SetClass(ActionPort::meta, parent, "ActionPort");

		::Uml::SetClass(ActuationConnection::meta, parent, "ActuationConnection");

		::Uml::SetClass(Annotation::meta, parent, "Annotation");
		::Uml::SetAttribute(Annotation::meta_Text, Annotation::meta, "Text");

		::Uml::SetClass(AperiodicExecInfo::meta, parent, "AperiodicExecInfo");

		::Uml::SetClass(ArchitectureLibrary::meta, parent, "ArchitectureLibrary");
		::Uml::SetAttribute(ArchitectureLibrary::meta_name, ArchitectureLibrary::meta, "name");

		::Uml::SetClass(AsyncPeriodicExecInfo::meta, parent, "AsyncPeriodicExecInfo");

		::Uml::SetClass(BChan::meta, parent, "BChan");

		::Uml::SetClass(Block::meta, parent, "Block");
		::Uml::SetAttribute(Block::meta_Tag, Block::meta, "Tag");
		::Uml::SetAttribute(Block::meta_BlockType, Block::meta, "BlockType");
		::Uml::SetAttribute(Block::meta_Name, Block::meta, "Name");
		::Uml::SetAttribute(Block::meta_Description, Block::meta, "Description");
		::Uml::SetAttribute(Block::meta_Priority, Block::meta, "Priority");
		::Uml::SetAttribute(Block::meta_SampleTime, Block::meta, "SampleTime");
		::Uml::SetAttribute(Block::meta_UserData, Block::meta, "UserData");

		::Uml::SetClass(Bus::meta, parent, "Bus");
		::Uml::SetAttribute(Bus::meta_OverheadTime, Bus::meta, "OverheadTime");
		::Uml::SetAttribute(Bus::meta_DataRate, Bus::meta, "DataRate");
		::Uml::SetAttribute(Bus::meta_MinFrameSize, Bus::meta, "MinFrameSize");
		::Uml::SetAttribute(Bus::meta_SwitchMemorySize, Bus::meta, "SwitchMemorySize");

		::Uml::SetClass(CCode::meta, parent, "CCode");
		::Uml::SetAttribute(CCode::meta_CodeInfo, CCode::meta, "CodeInfo");

		::Uml::SetClass(CInputPort::meta, parent, "CInputPort");
		::Uml::SetAttribute(CInputPort::meta_CPortType, CInputPort::meta, "CPortType");

		::Uml::SetClass(COutputPort::meta, parent, "COutputPort");
		::Uml::SetAttribute(COutputPort::meta_CPortType, COutputPort::meta, "CPortType");

		::Uml::SetClass(Channel::meta, parent, "Channel");
		::Uml::SetAttribute(Channel::meta_Configuration, Channel::meta, "Configuration");

		::Uml::SetClass(CommMapping::meta, parent, "CommMapping");

		::Uml::SetClass(CommMapping_Members_Base::meta, parent, "CommMapping_Members_Base");

		::Uml::SetClass(Component::meta, parent, "Component");

		::Uml::SetClass(ComponentAssignment::meta, parent, "ComponentAssignment");

		::Uml::SetClass(ComponentBase::meta, parent, "ComponentBase");
		::Uml::SetAttribute(ComponentBase::meta_Deadline, ComponentBase::meta, "Deadline");
		::Uml::SetAttribute(ComponentBase::meta_Period, ComponentBase::meta, "Period");

		::Uml::SetClass(ComponentRef::meta, parent, "ComponentRef");

		::Uml::SetClass(ComponentRef_RefersTo_Base::meta, parent, "ComponentRef_RefersTo_Base");

		::Uml::SetClass(Connectable::meta, parent, "Connectable");

		::Uml::SetClass(Connector::meta, parent, "Connector");
		::Uml::SetAttribute(Connector::meta_ConnectionType, Connector::meta, "ConnectionType");

		::Uml::SetClass(ConnectorRef::meta, parent, "ConnectorRef");

		::Uml::SetClass(Data::meta, parent, "Data");
		::Uml::SetAttribute(Data::meta_Name, Data::meta, "Name");
		::Uml::SetAttribute(Data::meta_Description, Data::meta, "Description");
		::Uml::SetAttribute(Data::meta_DataType, Data::meta, "DataType");
		::Uml::SetAttribute(Data::meta_Port, Data::meta, "Port");
		::Uml::SetAttribute(Data::meta_Units, Data::meta, "Units");
		::Uml::SetAttribute(Data::meta_InitialValue, Data::meta, "InitialValue");
		::Uml::SetAttribute(Data::meta_Min, Data::meta, "Min");
		::Uml::SetAttribute(Data::meta_Max, Data::meta, "Max");
		::Uml::SetAttribute(Data::meta_ArraySize, Data::meta, "ArraySize");
		::Uml::SetAttribute(Data::meta_ArrayFirstIndex, Data::meta, "ArrayFirstIndex");
		::Uml::SetAttribute(Data::meta_Scope, Data::meta, "Scope");

		::Uml::SetClass(Dataflow::meta, parent, "Dataflow");
		::Uml::SetAttribute(Dataflow::meta_name, Dataflow::meta, "name");

		::Uml::SetClass(Dependency::meta, parent, "Dependency");

		::Uml::SetClass(DeploymentLibrary::meta, parent, "DeploymentLibrary");
		::Uml::SetAttribute(DeploymentLibrary::meta_name, DeploymentLibrary::meta, "name");

		::Uml::SetClass(DesignFolder::meta, parent, "DesignFolder");
		::Uml::SetAttribute(DesignFolder::meta_name, DesignFolder::meta, "name");

		::Uml::SetClass(EnablePort::meta, parent, "EnablePort");
		::Uml::SetAttribute(EnablePort::meta_StatesWhenEnabling, EnablePort::meta, "StatesWhenEnabling");

		::Uml::SetClass(Event::meta, parent, "Event");
		::Uml::SetAttribute(Event::meta_Name, Event::meta, "Name");
		::Uml::SetAttribute(Event::meta_Description, Event::meta, "Description");
		::Uml::SetAttribute(Event::meta_Scope, Event::meta, "Scope");
		::Uml::SetAttribute(Event::meta_Trigger, Event::meta, "Trigger");
		::Uml::SetAttribute(Event::meta_Port, Event::meta, "Port");

		::Uml::SetClass(Executable::meta, parent, "Executable");

		::Uml::SetClass(ExecutionAssignment::meta, parent, "ExecutionAssignment");

		::Uml::SetClass(ExecutionContext::meta, parent, "ExecutionContext");

		::Uml::SetClass(ExecutionInfo::meta, parent, "ExecutionInfo");
		::Uml::SetAttribute(ExecutionInfo::meta_WCDuration, ExecutionInfo::meta, "WCDuration");

		::Uml::SetClass(HWElement::meta, parent, "HWElement");
		::Uml::SetAttribute(HWElement::meta_Configuration, HWElement::meta, "Configuration");

		::Uml::SetClass(HardwareUnit::meta, parent, "HardwareUnit");

		::Uml::SetClass(History::meta, parent, "History");

		::Uml::SetClass(IChan::meta, parent, "IChan");

		::Uml::SetClass(IODevice::meta, parent, "IODevice");
		::Uml::SetAttribute(IODevice::meta_DeviceType, IODevice::meta, "DeviceType");

		::Uml::SetClass(IOPortAssignment::meta, parent, "IOPortAssignment");

		::Uml::SetClass(IOPortExp::meta, parent, "IOPortExp");

		::Uml::SetClass(IOPortInfo::meta, parent, "IOPortInfo");
		::Uml::SetAttribute(IOPortInfo::meta_DataInit, IOPortInfo::meta, "DataInit");
		::Uml::SetAttribute(IOPortInfo::meta_DataSize, IOPortInfo::meta, "DataSize");
		::Uml::SetAttribute(IOPortInfo::meta_DataMin, IOPortInfo::meta, "DataMin");
		::Uml::SetAttribute(IOPortInfo::meta_DataMax, IOPortInfo::meta, "DataMax");
		::Uml::SetAttribute(IOPortInfo::meta_Scale, IOPortInfo::meta, "Scale");
		::Uml::SetAttribute(IOPortInfo::meta_Offset, IOPortInfo::meta, "Offset");

		::Uml::SetClass(IOPortInfoBase::meta, parent, "IOPortInfoBase");

		::Uml::SetClass(IOPortInfoRef::meta, parent, "IOPortInfoRef");

		::Uml::SetClass(InPort::meta, parent, "InPort");

		::Uml::SetClass(Input::meta, parent, "Input");

		::Uml::SetClass(InputPort::meta, parent, "InputPort");
		::Uml::SetAttribute(InputPort::meta_Number, InputPort::meta, "Number");

		::Uml::SetClass(Junction::meta, parent, "Junction");

		::Uml::SetClass(Line::meta, parent, "Line");
		::Uml::SetAttribute(Line::meta_Name, Line::meta, "Name");

		::Uml::SetClass(Matrix::meta, parent, "Matrix");
		::Uml::SetAttribute(Matrix::meta_rows, Matrix::meta, "rows");
		::Uml::SetAttribute(Matrix::meta_Type, Matrix::meta, "Type");
		::Uml::SetAttribute(Matrix::meta_columns, Matrix::meta, "columns");

		::Uml::SetClass(Message::meta, parent, "Message");
		::Uml::SetAttribute(Message::meta_MsgMetaData, Message::meta, "MsgMetaData");
		::Uml::SetAttribute(Message::meta_MsgSize, Message::meta, "MsgSize");

		::Uml::SetClass(MessageRef::meta, parent, "MessageRef");

		::Uml::SetClass(MessageRef_RefersTo_Base::meta, parent, "MessageRef_RefersTo_Base");

		::Uml::SetClass(MgaObject::meta, parent, "MgaObject");
		::Uml::SetAttribute(MgaObject::meta_position, MgaObject::meta, "position");
		::Uml::SetAttribute(MgaObject::meta_name, MgaObject::meta, "name");

		::Uml::SetClass(ModelInfo::meta, parent, "ModelInfo");
		::Uml::SetAttribute(ModelInfo::meta_DateTimeStamp, ModelInfo::meta, "DateTimeStamp");
		::Uml::SetAttribute(ModelInfo::meta_ModelPath, ModelInfo::meta, "ModelPath");

		::Uml::SetClass(ModelsFolder::meta, parent, "ModelsFolder");
		::Uml::SetAttribute(ModelsFolder::meta_name, ModelsFolder::meta, "name");

		::Uml::SetClass(MsgPort::meta, parent, "MsgPort");
		::Uml::SetAttribute(MsgPort::meta_MsgPortNum, MsgPort::meta, "MsgPortNum");

		::Uml::SetClass(Node::meta, parent, "Node");
		::Uml::SetAttribute(Node::meta_ROM, Node::meta, "ROM");
		::Uml::SetAttribute(Node::meta_Simulator, Node::meta, "Simulator");
		::Uml::SetAttribute(Node::meta_RAM, Node::meta, "RAM");
		::Uml::SetAttribute(Node::meta_Speed, Node::meta, "Speed");
		::Uml::SetAttribute(Node::meta_CPU, Node::meta, "CPU");
		::Uml::SetAttribute(Node::meta_PlatformType, Node::meta, "PlatformType");

		::Uml::SetClass(NodeRef::meta, parent, "NodeRef");

		::Uml::SetClass(OChan::meta, parent, "OChan");

		::Uml::SetClass(OS::meta, parent, "OS");
		::Uml::SetAttribute(OS::meta_SendOverheadTime, OS::meta, "SendOverheadTime");
		::Uml::SetAttribute(OS::meta_ContextSwitchTime, OS::meta, "ContextSwitchTime");
		::Uml::SetAttribute(OS::meta_RecvOverheadTime, OS::meta, "RecvOverheadTime");
		::Uml::SetAttribute(OS::meta_TickResolution, OS::meta, "TickResolution");

		::Uml::SetClass(OldBus::meta, parent, "OldBus");
		::Uml::SetAttribute(OldBus::meta_FrameSize, OldBus::meta, "FrameSize");
		::Uml::SetAttribute(OldBus::meta_Medium, OldBus::meta, "Medium");

		::Uml::SetClass(OldTask::meta, parent, "OldTask");
		::Uml::SetAttribute(OldTask::meta_TaskType, OldTask::meta, "TaskType");
		::Uml::SetAttribute(OldTask::meta_Priority, OldTask::meta, "Priority");
		::Uml::SetAttribute(OldTask::meta_Activation, OldTask::meta, "Activation");
		::Uml::SetAttribute(OldTask::meta_AutoStart, OldTask::meta, "AutoStart");
		::Uml::SetAttribute(OldTask::meta_Preemption, OldTask::meta, "Preemption");
		::Uml::SetAttribute(OldTask::meta_Cyclic, OldTask::meta, "Cyclic");
		::Uml::SetAttribute(OldTask::meta_CycleTime, OldTask::meta, "CycleTime");

		::Uml::SetClass(OutPort::meta, parent, "OutPort");

		::Uml::SetClass(Output::meta, parent, "Output");

		::Uml::SetClass(OutputPort::meta, parent, "OutputPort");
		::Uml::SetAttribute(OutputPort::meta_Number, OutputPort::meta, "Number");

		::Uml::SetClass(Parameter::meta, parent, "Parameter");
		::Uml::SetAttribute(Parameter::meta_Value, Parameter::meta, "Value");

		::Uml::SetClass(PeriodicExecInfo::meta, parent, "PeriodicExecInfo");
		::Uml::SetAttribute(PeriodicExecInfo::meta_ExecPeriod, PeriodicExecInfo::meta, "ExecPeriod");

		::Uml::SetClass(PhysConnection::meta, parent, "PhysConnection");

		::Uml::SetClass(PhysInterface::meta, parent, "PhysInterface");

		::Uml::SetClass(Plant::meta, parent, "Plant");

		::Uml::SetClass(PlatformLibrary::meta, parent, "PlatformLibrary");
		::Uml::SetAttribute(PlatformLibrary::meta_name, PlatformLibrary::meta, "name");

		::Uml::SetClass(Port::meta, parent, "Port");

		::Uml::SetClass(Primitive::meta, parent, "Primitive");

		::Uml::SetClass(Reference::meta, parent, "Reference");
		::Uml::SetAttribute(Reference::meta_SourceBlock, Reference::meta, "SourceBlock");
		::Uml::SetAttribute(Reference::meta_SourceType, Reference::meta, "SourceType");

		::Uml::SetClass(RequirementsLibrary::meta, parent, "RequirementsLibrary");
		::Uml::SetAttribute(RequirementsLibrary::meta_name, RequirementsLibrary::meta, "name");

		::Uml::SetClass(RootFolder::meta, parent, "RootFolder");
		::Uml::SetAttribute(RootFolder::meta_name, RootFolder::meta, "name");

		::Uml::SetClass(Router::meta, parent, "Router");

		::Uml::SetClass(SporadicExecInfo::meta, parent, "SporadicExecInfo");
		::Uml::SetAttribute(SporadicExecInfo::meta_MinimumPeriod, SporadicExecInfo::meta, "MinimumPeriod");

		::Uml::SetClass(State::meta, parent, "State");
		::Uml::SetAttribute(State::meta_Name, State::meta, "Name");
		::Uml::SetAttribute(State::meta_Decomposition, State::meta, "Decomposition");
		::Uml::SetAttribute(State::meta_EnterAction, State::meta, "EnterAction");
		::Uml::SetAttribute(State::meta_DuringAction, State::meta, "DuringAction");
		::Uml::SetAttribute(State::meta_ExitAction, State::meta, "ExitAction");
		::Uml::SetAttribute(State::meta_Order, State::meta, "Order");

		::Uml::SetClass(StateDE::meta, parent, "StateDE");

		::Uml::SetClass(StatePort::meta, parent, "StatePort");

		::Uml::SetClass(Stateflow::meta, parent, "Stateflow");
		::Uml::SetAttribute(Stateflow::meta_name, Stateflow::meta, "name");

		::Uml::SetClass(Subsystem::meta, parent, "Subsystem");

		::Uml::SetClass(SubsystemRef::meta, parent, "SubsystemRef");

		::Uml::SetClass(System::meta, parent, "System");

		::Uml::SetClass(SystemTypes::meta, parent, "SystemTypes");

		::Uml::SetClass(TTBus::meta, parent, "TTBus");
		::Uml::SetAttribute(TTBus::meta_TTSetupTime, TTBus::meta, "TTSetupTime");
		::Uml::SetAttribute(TTBus::meta_Hyperperiod, TTBus::meta, "Hyperperiod");
		::Uml::SetAttribute(TTBus::meta_SlotSize, TTBus::meta, "SlotSize");

		::Uml::SetClass(TTExecContext::meta, parent, "TTExecContext");
		::Uml::SetAttribute(TTExecContext::meta_Hyperperiod, TTExecContext::meta, "Hyperperiod");

		::Uml::SetClass(TTExecInfo::meta, parent, "TTExecInfo");
		::Uml::SetAttribute(TTExecInfo::meta_TTSchedule, TTExecInfo::meta, "TTSchedule");

		::Uml::SetClass(TaskRef::meta, parent, "TaskRef");

		::Uml::SetClass(TimingConstraint::meta, parent, "TimingConstraint");
		::Uml::SetAttribute(TimingConstraint::meta_Latency, TimingConstraint::meta, "Latency");

		::Uml::SetClass(TimingSheet::meta, parent, "TimingSheet");

		::Uml::SetClass(TransConnector::meta, parent, "TransConnector");

		::Uml::SetClass(TransStart::meta, parent, "TransStart");

		::Uml::SetClass(Transition::meta, parent, "Transition");
		::Uml::SetAttribute(Transition::meta_Guard, Transition::meta, "Guard");
		::Uml::SetAttribute(Transition::meta_Trigger, Transition::meta, "Trigger");
		::Uml::SetAttribute(Transition::meta_Action, Transition::meta, "Action");
		::Uml::SetAttribute(Transition::meta_ConditionAction, Transition::meta, "ConditionAction");
		::Uml::SetAttribute(Transition::meta_Order, Transition::meta, "Order");

		::Uml::SetClass(TriggerPort::meta, parent, "TriggerPort");
		::Uml::SetAttribute(TriggerPort::meta_TriggerType, TriggerPort::meta, "TriggerType");

		::Uml::SetClass(TypeBase::meta, parent, "TypeBase");

		::Uml::SetClass(TypeBaseRef::meta, parent, "TypeBaseRef");
		::Uml::SetAttribute(TypeBaseRef::meta_MemberIndex, TypeBaseRef::meta, "MemberIndex");

		::Uml::SetClass(TypeStruct::meta, parent, "TypeStruct");
		::Uml::SetAttribute(TypeStruct::meta_MemberCount, TypeStruct::meta, "MemberCount");

		::Uml::SetClass(Types::meta, parent, "Types");
		::Uml::SetAttribute(Types::meta_name, Types::meta, "name");

		::Uml::SetClass(Wire::meta, parent, "Wire");

	}

	void InitMetaLinks(const ::Uml::Diagram &parent) {
		// classes
		::Uml::SetParentRole(AcquisitionConnection::meta_HardwareUnit_parent, AcquisitionConnection::meta, HardwareUnit::meta, "", "");
		AcquisitionConnection::meta_dstAcquisitionConnection_end_ = IODevice::meta_dstAcquisitionConnection;
		AcquisitionConnection::meta_srcAcquisitionConnection_end_ = IChan::meta_srcAcquisitionConnection;

		::Uml::SetParentRole(ActuationConnection::meta_HardwareUnit_parent, ActuationConnection::meta, HardwareUnit::meta, "", "");
		ActuationConnection::meta_dstActuationConnection_end_ = OChan::meta_dstActuationConnection;
		ActuationConnection::meta_srcActuationConnection_end_ = IODevice::meta_srcActuationConnection;

		::Uml::SetParentRole(Annotation::meta_Block_parent, Annotation::meta, Block::meta, "", "");

		::Uml::SetChildRole(ArchitectureLibrary::meta_SystemTypes_children, ArchitectureLibrary::meta, SystemTypes::meta, "", "");
		::Uml::SetParentRole(ArchitectureLibrary::meta_RootFolder_parent, ArchitectureLibrary::meta, RootFolder::meta, "", "");

		::Uml::SetParentRole(BChan::meta_Router_parent, BChan::meta, Router::meta, "", "");

		::Uml::SetChildRole(Block::meta_Line, Block::meta, Line::meta, "", "Line");
		::Uml::SetChildRole(Block::meta_Parameter, Block::meta, Parameter::meta, "", "Parameter");
		::Uml::SetChildRole(Block::meta_Annotation_children, Block::meta, Annotation::meta, "", "");
		::Uml::SetChildRole(Block::meta_ConnectorRef_children, Block::meta, ConnectorRef::meta, "", "");
		::Uml::SetChildRole(Block::meta_Port_children, Block::meta, Port::meta, "", "");
		::Uml::SetParentRole(Block::meta_Subsystem_parent, Block::meta, Subsystem::meta, "", "");

		::Uml::SetChildRole(CCode::meta_CInputPort_children, CCode::meta, CInputPort::meta, "", "");
		::Uml::SetChildRole(CCode::meta_COutputPort_children, CCode::meta, COutputPort::meta, "", "");

		::Uml::SetParentRole(CInputPort::meta_CCode_parent, CInputPort::meta, CCode::meta, "", "");

		::Uml::SetParentRole(COutputPort::meta_CCode_parent, COutputPort::meta, CCode::meta, "", "");

		::Uml::SetParentRole(Channel::meta_HardwareUnit_parent, Channel::meta, HardwareUnit::meta, "", "");
		::Uml::SetParentRole(Channel::meta_Node_parent, Channel::meta, Node::meta, "", "");

		::Uml::SetAssocRole(CommMapping::meta_dstCommMapping__rp_helper, CommMapping::meta, ComponentRef::meta, "cms");
		::Uml::SetAssocRole(CommMapping::meta_srcCommMapping__rp_helper, CommMapping::meta, ComponentRef::meta, "cmd");
		::Uml::SetParentRole(CommMapping::meta_System_parent, CommMapping::meta, System::meta, "", "");
		CommMapping::meta_dstCommMapping_end_ = CommMapping_Members_Base::meta_dstCommMapping;
		CommMapping::meta_srcCommMapping_end_ = CommMapping_Members_Base::meta_srcCommMapping;

		::Uml::SetAssocRole(CommMapping_Members_Base::meta_srcCommMapping, CommMapping_Members_Base::meta, CommMapping_Members_Base::meta, "dstCommMapping");
		CommMapping_Members_Base::meta_dstCommMapping_rev = CommMapping_Members_Base::meta_srcCommMapping;
		::Uml::SetAssocRole(CommMapping_Members_Base::meta_dstCommMapping, CommMapping_Members_Base::meta, CommMapping_Members_Base::meta, "srcCommMapping");
		CommMapping_Members_Base::meta_srcCommMapping_rev = CommMapping_Members_Base::meta_dstCommMapping;

		::Uml::SetAssocRole(Component::meta_referedbyTaskRef, Component::meta, TaskRef::meta, "ref");
		::Uml::SetChildRole(Component::meta_ComponentBase_children, Component::meta, ComponentBase::meta, "", "");
		::Uml::SetChildRole(Component::meta_MessageRef_children, Component::meta, MessageRef::meta, "", "");
		::Uml::SetChildRole(Component::meta_Connector_children, Component::meta, Connector::meta, "", "");
		::Uml::SetParentRole(Component::meta_SystemTypes_parent, Component::meta, SystemTypes::meta, "", "");

		::Uml::SetParentRole(ComponentAssignment::meta_System_parent, ComponentAssignment::meta, System::meta, "", "");
		ComponentAssignment::meta_dstComponentAssignment_end_ = ComponentRef::meta_dstComponentAssignment;
		ComponentAssignment::meta_srcComponentAssignment_end_ = NodeRef::meta_srcComponentAssignment;

		::Uml::SetParentRole(ComponentBase::meta_Component_parent, ComponentBase::meta, Component::meta, "", "");

		::Uml::SetAssocRole(ComponentRef::meta_ref, ComponentRef::meta, ComponentRef_RefersTo_Base::meta, "referedbyComponentRef");
		::Uml::SetAssocRole(ComponentRef::meta_dstComponentAssignment, ComponentRef::meta, NodeRef::meta, "srcComponentAssignment");
		NodeRef::meta_srcComponentAssignment_rev = ComponentRef::meta_dstComponentAssignment;
		::Uml::SetAssocRole(ComponentRef::meta_cms, ComponentRef::meta, CommMapping::meta, "dstCommMapping__rp_helper");
		::Uml::SetAssocRole(ComponentRef::meta_cmd, ComponentRef::meta, CommMapping::meta, "srcCommMapping__rp_helper");
		::Uml::SetAssocRole(ComponentRef::meta_dps, ComponentRef::meta, Dependency::meta, "dstDependency__rp_helper");
		::Uml::SetAssocRole(ComponentRef::meta_dpd, ComponentRef::meta, Dependency::meta, "srcDependency__rp_helper");
		::Uml::SetAssocRole(ComponentRef::meta_eas, ComponentRef::meta, ExecutionAssignment::meta, "dstExecutionAssignment__rp_helper");
		::Uml::SetParentRole(ComponentRef::meta_System_parent, ComponentRef::meta, System::meta, "", "");

		::Uml::SetAssocRole(ComponentRef_RefersTo_Base::meta_referedbyComponentRef, ComponentRef_RefersTo_Base::meta, ComponentRef::meta, "ref");

		::Uml::SetAssocRole(Connectable::meta_srcWire, Connectable::meta, Connectable::meta, "dstWire");
		Connectable::meta_dstWire_rev = Connectable::meta_srcWire;
		::Uml::SetAssocRole(Connectable::meta_dstWire, Connectable::meta, Connectable::meta, "srcWire");
		Connectable::meta_srcWire_rev = Connectable::meta_dstWire;

		::Uml::SetAssocRole(Connector::meta_dstConnector__rp_helper, Connector::meta, MessageRef::meta, "cns");
		::Uml::SetAssocRole(Connector::meta_srcConnector__rp_helper, Connector::meta, MessageRef::meta, "cnd");
		::Uml::SetParentRole(Connector::meta_Component_parent, Connector::meta, Component::meta, "", "");
		Connector::meta_dstConnector_end_ = Output::meta_dstConnector;
		Connector::meta_srcConnector_end_ = Input::meta_srcConnector;

		::Uml::SetAssocRole(ConnectorRef::meta_ref, ConnectorRef::meta, TransConnector::meta, "referedbyConnectorRef");
		::Uml::SetParentRole(ConnectorRef::meta_Block_parent, ConnectorRef::meta, Block::meta, "", "");

		::Uml::SetChildRole(Dataflow::meta_Subsystem_children, Dataflow::meta, Subsystem::meta, "", "");
		::Uml::SetParentRole(Dataflow::meta_ModelsFolder_parent, Dataflow::meta, ModelsFolder::meta, "", "");

		::Uml::SetAssocRole(Dependency::meta_dstDependency__rp_helper, Dependency::meta, ComponentRef::meta, "dps");
		::Uml::SetAssocRole(Dependency::meta_srcDependency__rp_helper, Dependency::meta, ComponentRef::meta, "dpd");
		::Uml::SetParentRole(Dependency::meta_System_parent, Dependency::meta, System::meta, "", "");
		Dependency::meta_srcDependency_end_ = MessageRef::meta_srcDependency;
		Dependency::meta_dstDependency_end_ = MessageRef::meta_dstDependency;

		::Uml::SetChildRole(DeploymentLibrary::meta_System_children, DeploymentLibrary::meta, System::meta, "", "");
		::Uml::SetParentRole(DeploymentLibrary::meta_RootFolder_parent, DeploymentLibrary::meta, RootFolder::meta, "", "");

		::Uml::SetChildRole(DesignFolder::meta_HardwareUnit_children, DesignFolder::meta, HardwareUnit::meta, "", "");
		::Uml::SetChildRole(DesignFolder::meta_SystemTypes_children, DesignFolder::meta, SystemTypes::meta, "", "");
		::Uml::SetChildRole(DesignFolder::meta_ModelsFolder_children, DesignFolder::meta, ModelsFolder::meta, "", "");
		::Uml::SetChildRole(DesignFolder::meta_System_children, DesignFolder::meta, System::meta, "", "");
		::Uml::SetChildRole(DesignFolder::meta_TimingSheet_children, DesignFolder::meta, TimingSheet::meta, "", "");
		::Uml::SetParentRole(DesignFolder::meta_RootFolder_parent, DesignFolder::meta, RootFolder::meta, "", "");

		::Uml::SetAssocRole(Executable::meta_srcExecutionAssignment, Executable::meta, ExecutionInfo::meta, "dstExecutionAssignment");
		ExecutionInfo::meta_dstExecutionAssignment_rev = Executable::meta_srcExecutionAssignment;

		::Uml::SetAssocRole(ExecutionAssignment::meta_dstExecutionAssignment__rp_helper, ExecutionAssignment::meta, ComponentRef::meta, "eas");
		::Uml::SetParentRole(ExecutionAssignment::meta_System_parent, ExecutionAssignment::meta, System::meta, "", "");
		ExecutionAssignment::meta_dstExecutionAssignment_end_ = ExecutionInfo::meta_dstExecutionAssignment;
		ExecutionAssignment::meta_srcExecutionAssignment_end_ = Executable::meta_srcExecutionAssignment;

		::Uml::SetParentRole(ExecutionContext::meta_HWElement_parent, ExecutionContext::meta, HWElement::meta, "", "");

		::Uml::SetAssocRole(ExecutionInfo::meta_dstExecutionAssignment, ExecutionInfo::meta, Executable::meta, "srcExecutionAssignment");
		Executable::meta_srcExecutionAssignment_rev = ExecutionInfo::meta_dstExecutionAssignment;
		::Uml::SetParentRole(ExecutionInfo::meta_System_parent, ExecutionInfo::meta, System::meta, "", "");

		::Uml::SetChildRole(HWElement::meta_ExecutionContext_children, HWElement::meta, ExecutionContext::meta, "", "");
		::Uml::SetParentRole(HWElement::meta_HardwareUnit_parent, HWElement::meta, HardwareUnit::meta, "", "");

		::Uml::SetChildRole(HardwareUnit::meta_Channel_children, HardwareUnit::meta, Channel::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_HWElement_children, HardwareUnit::meta, HWElement::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_Plant_children, HardwareUnit::meta, Plant::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_PhysConnection_children, HardwareUnit::meta, PhysConnection::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_AcquisitionConnection_children, HardwareUnit::meta, AcquisitionConnection::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_ActuationConnection_children, HardwareUnit::meta, ActuationConnection::meta, "", "");
		::Uml::SetChildRole(HardwareUnit::meta_Wire_children, HardwareUnit::meta, Wire::meta, "", "");
		::Uml::SetParentRole(HardwareUnit::meta_DesignFolder_parent, HardwareUnit::meta, DesignFolder::meta, "", "");
		::Uml::SetParentRole(HardwareUnit::meta_PlatformLibrary_parent, HardwareUnit::meta, PlatformLibrary::meta, "", "");

		::Uml::SetAssocRole(IChan::meta_srcAcquisitionConnection, IChan::meta, IODevice::meta, "dstAcquisitionConnection");
		IODevice::meta_dstAcquisitionConnection_rev = IChan::meta_srcAcquisitionConnection;

		::Uml::SetAssocRole(IODevice::meta_dstAcquisitionConnection, IODevice::meta, IChan::meta, "srcAcquisitionConnection");
		IChan::meta_srcAcquisitionConnection_rev = IODevice::meta_dstAcquisitionConnection;
		::Uml::SetAssocRole(IODevice::meta_srcActuationConnection, IODevice::meta, OChan::meta, "dstActuationConnection");
		OChan::meta_dstActuationConnection_rev = IODevice::meta_srcActuationConnection;

		IOPortAssignment::meta_dstIOPortAssignment_end_ = IOPortInfoBase::meta_dstIOPortAssignment;
		IOPortAssignment::meta_srcIOPortAssignment_end_ = IOPortExp::meta_srcIOPortAssignment;

		::Uml::SetAssocRole(IOPortExp::meta_srcIOPortAssignment, IOPortExp::meta, IOPortInfoBase::meta, "dstIOPortAssignment");
		IOPortInfoBase::meta_dstIOPortAssignment_rev = IOPortExp::meta_srcIOPortAssignment;

		::Uml::SetAssocRole(IOPortInfo::meta_referedbyIOPortInfoRef, IOPortInfo::meta, IOPortInfoRef::meta, "ref");

		::Uml::SetAssocRole(IOPortInfoBase::meta_dstIOPortAssignment, IOPortInfoBase::meta, IOPortExp::meta, "srcIOPortAssignment");
		IOPortExp::meta_srcIOPortAssignment_rev = IOPortInfoBase::meta_dstIOPortAssignment;

		::Uml::SetAssocRole(IOPortInfoRef::meta_ref, IOPortInfoRef::meta, IOPortInfo::meta, "referedbyIOPortInfoRef");

		::Uml::SetAssocRole(Input::meta_srcConnector, Input::meta, Output::meta, "dstConnector");
		Output::meta_dstConnector_rev = Input::meta_srcConnector;

		::Uml::SetParentRole(Line::meta_Line_Block_parent, Line::meta, Block::meta, "Line", "");
		Line::meta_dstLine_end_ = Port::meta_dstLine;
		Line::meta_srcLine_end_ = Port::meta_srcLine;

		::Uml::SetChildRole(Message::meta_MsgPort_children, Message::meta, MsgPort::meta, "", "");
		::Uml::SetParentRole(Message::meta_SystemTypes_parent, Message::meta, SystemTypes::meta, "", "");

		::Uml::SetAssocRole(MessageRef::meta_ref, MessageRef::meta, MessageRef_RefersTo_Base::meta, "referedbyBusMessageRef");
		::Uml::SetAssocRole(MessageRef::meta_cns, MessageRef::meta, Connector::meta, "dstConnector__rp_helper");
		::Uml::SetAssocRole(MessageRef::meta_cnd, MessageRef::meta, Connector::meta, "srcConnector__rp_helper");
		::Uml::SetAssocRole(MessageRef::meta_dstDependency, MessageRef::meta, MessageRef::meta, "srcDependency");
		MessageRef::meta_srcDependency_rev = MessageRef::meta_dstDependency;
		::Uml::SetAssocRole(MessageRef::meta_srcDependency, MessageRef::meta, MessageRef::meta, "dstDependency");
		MessageRef::meta_dstDependency_rev = MessageRef::meta_srcDependency;
		::Uml::SetParentRole(MessageRef::meta_Component_parent, MessageRef::meta, Component::meta, "", "");

		::Uml::SetAssocRole(MessageRef_RefersTo_Base::meta_referedbyBusMessageRef, MessageRef_RefersTo_Base::meta, MessageRef::meta, "ref");

		::Uml::SetParentRole(ModelInfo::meta_ModelsFolder_parent, ModelInfo::meta, ModelsFolder::meta, "", "");

		::Uml::SetChildRole(ModelsFolder::meta_Stateflow_children, ModelsFolder::meta, Stateflow::meta, "", "");
		::Uml::SetChildRole(ModelsFolder::meta_Dataflow_children, ModelsFolder::meta, Dataflow::meta, "", "");
		::Uml::SetChildRole(ModelsFolder::meta_ModelInfo_children, ModelsFolder::meta, ModelInfo::meta, "", "");
		::Uml::SetParentRole(ModelsFolder::meta_DesignFolder_parent, ModelsFolder::meta, DesignFolder::meta, "", "");

		::Uml::SetParentRole(MsgPort::meta_Message_parent, MsgPort::meta, Message::meta, "", "");

		::Uml::SetAssocRole(Node::meta_referedbyNodeRef, Node::meta, NodeRef::meta, "ref");
		::Uml::SetChildRole(Node::meta_OS_child, Node::meta, OS::meta, "", "");
		::Uml::SetChildRole(Node::meta_Channel_children, Node::meta, Channel::meta, "", "");

		::Uml::SetAssocRole(NodeRef::meta_ref, NodeRef::meta, Node::meta, "referedbyNodeRef");
		::Uml::SetAssocRole(NodeRef::meta_srcComponentAssignment, NodeRef::meta, ComponentRef::meta, "dstComponentAssignment");
		ComponentRef::meta_dstComponentAssignment_rev = NodeRef::meta_srcComponentAssignment;
		::Uml::SetParentRole(NodeRef::meta_System_parent, NodeRef::meta, System::meta, "", "");

		::Uml::SetAssocRole(OChan::meta_dstActuationConnection, OChan::meta, IODevice::meta, "srcActuationConnection");
		IODevice::meta_srcActuationConnection_rev = OChan::meta_dstActuationConnection;

		::Uml::SetParentRole(OS::meta_Node_parent, OS::meta, Node::meta, "", "");

		::Uml::SetAssocRole(Output::meta_dstConnector, Output::meta, Input::meta, "srcConnector");
		Input::meta_srcConnector_rev = Output::meta_dstConnector;

		::Uml::SetParentRole(Parameter::meta_Parameter_Block_parent, Parameter::meta, Block::meta, "Parameter", "");

		::Uml::SetParentRole(PhysConnection::meta_HardwareUnit_parent, PhysConnection::meta, HardwareUnit::meta, "", "");
		PhysConnection::meta_dstPhysConnection_end_ = PhysInterface::meta_dstPhysConnection;
		PhysConnection::meta_srcPhysConnection_end_ = PhysInterface::meta_srcPhysConnection;

		::Uml::SetAssocRole(PhysInterface::meta_srcPhysConnection, PhysInterface::meta, PhysInterface::meta, "dstPhysConnection");
		PhysInterface::meta_dstPhysConnection_rev = PhysInterface::meta_srcPhysConnection;
		::Uml::SetAssocRole(PhysInterface::meta_dstPhysConnection, PhysInterface::meta, PhysInterface::meta, "srcPhysConnection");
		PhysInterface::meta_srcPhysConnection_rev = PhysInterface::meta_dstPhysConnection;

		::Uml::SetParentRole(Plant::meta_HardwareUnit_parent, Plant::meta, HardwareUnit::meta, "", "");

		::Uml::SetChildRole(PlatformLibrary::meta_HardwareUnit_children, PlatformLibrary::meta, HardwareUnit::meta, "", "");
		::Uml::SetParentRole(PlatformLibrary::meta_RootFolder_parent, PlatformLibrary::meta, RootFolder::meta, "", "");

		::Uml::SetAssocRole(Port::meta_srcLine, Port::meta, Port::meta, "dstLine");
		Port::meta_dstLine_rev = Port::meta_srcLine;
		::Uml::SetAssocRole(Port::meta_dstLine, Port::meta, Port::meta, "srcLine");
		Port::meta_srcLine_rev = Port::meta_dstLine;
		::Uml::SetChildRole(Port::meta_TypeBaseRef_child, Port::meta, TypeBaseRef::meta, "", "");
		::Uml::SetParentRole(Port::meta_Block_parent, Port::meta, Block::meta, "", "");

		::Uml::SetChildRole(RequirementsLibrary::meta_TimingSheet_children, RequirementsLibrary::meta, TimingSheet::meta, "", "");
		::Uml::SetParentRole(RequirementsLibrary::meta_RootFolder_parent, RequirementsLibrary::meta, RootFolder::meta, "", "");

		::Uml::SetChildRole(RootFolder::meta_PlatformLibrary_children, RootFolder::meta, PlatformLibrary::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_Types_children, RootFolder::meta, Types::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_DeploymentLibrary_children, RootFolder::meta, DeploymentLibrary::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_ArchitectureLibrary_children, RootFolder::meta, ArchitectureLibrary::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_DesignFolder_children, RootFolder::meta, DesignFolder::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_RequirementsLibrary_children, RootFolder::meta, RequirementsLibrary::meta, "", "");
		::Uml::SetChildRole(RootFolder::meta_RootFolder_children, RootFolder::meta, RootFolder::meta, "", "");
		::Uml::SetParentRole(RootFolder::meta_RootFolder_parent, RootFolder::meta, RootFolder::meta, "", "");

		::Uml::SetChildRole(Router::meta_BChan_children, Router::meta, BChan::meta, "", "");

		::Uml::SetChildRole(State::meta_TransConnector_children, State::meta, TransConnector::meta, "", "");
		::Uml::SetChildRole(State::meta_Transition, State::meta, Transition::meta, "", "Transition");
		::Uml::SetChildRole(State::meta_StateDE_children, State::meta, StateDE::meta, "", "");
		::Uml::SetParentRole(State::meta_Stateflow_parent, State::meta, Stateflow::meta, "", "");

		::Uml::SetChildRole(StateDE::meta_TypeBaseRef_child, StateDE::meta, TypeBaseRef::meta, "", "");
		::Uml::SetParentRole(StateDE::meta_State_parent, StateDE::meta, State::meta, "", "");

		::Uml::SetChildRole(Stateflow::meta_State_children, Stateflow::meta, State::meta, "", "");
		::Uml::SetParentRole(Stateflow::meta_ModelsFolder_parent, Stateflow::meta, ModelsFolder::meta, "", "");

		::Uml::SetAssocRole(Subsystem::meta_referedbySubsystemRef, Subsystem::meta, SubsystemRef::meta, "ref");
		::Uml::SetChildRole(Subsystem::meta_Block_children, Subsystem::meta, Block::meta, "", "");
		::Uml::SetParentRole(Subsystem::meta_Dataflow_parent, Subsystem::meta, Dataflow::meta, "", "");

		::Uml::SetAssocRole(SubsystemRef::meta_ref, SubsystemRef::meta, Subsystem::meta, "referedbySubsystemRef");

		::Uml::SetChildRole(System::meta_NodeRef_children, System::meta, NodeRef::meta, "", "");
		::Uml::SetChildRole(System::meta_ComponentRef_children, System::meta, ComponentRef::meta, "", "");
		::Uml::SetChildRole(System::meta_CommMapping_children, System::meta, CommMapping::meta, "", "");
		::Uml::SetChildRole(System::meta_Dependency_children, System::meta, Dependency::meta, "", "");
		::Uml::SetChildRole(System::meta_ComponentAssignment_children, System::meta, ComponentAssignment::meta, "", "");
		::Uml::SetChildRole(System::meta_ExecutionInfo_children, System::meta, ExecutionInfo::meta, "", "");
		::Uml::SetChildRole(System::meta_ExecutionAssignment_children, System::meta, ExecutionAssignment::meta, "", "");
		::Uml::SetParentRole(System::meta_DeploymentLibrary_parent, System::meta, DeploymentLibrary::meta, "", "");
		::Uml::SetParentRole(System::meta_DesignFolder_parent, System::meta, DesignFolder::meta, "", "");

		::Uml::SetChildRole(SystemTypes::meta_Component_children, SystemTypes::meta, Component::meta, "", "");
		::Uml::SetChildRole(SystemTypes::meta_Message_children, SystemTypes::meta, Message::meta, "", "");
		::Uml::SetParentRole(SystemTypes::meta_ArchitectureLibrary_parent, SystemTypes::meta, ArchitectureLibrary::meta, "", "");
		::Uml::SetParentRole(SystemTypes::meta_DesignFolder_parent, SystemTypes::meta, DesignFolder::meta, "", "");

		::Uml::SetAssocRole(TaskRef::meta_ref, TaskRef::meta, Component::meta, "referedbyTaskRef");
		::Uml::SetAssocRole(TaskRef::meta_srcTimingConstraint, TaskRef::meta, TaskRef::meta, "dstTimingConstraint");
		TaskRef::meta_dstTimingConstraint_rev = TaskRef::meta_srcTimingConstraint;
		::Uml::SetAssocRole(TaskRef::meta_dstTimingConstraint, TaskRef::meta, TaskRef::meta, "srcTimingConstraint");
		TaskRef::meta_srcTimingConstraint_rev = TaskRef::meta_dstTimingConstraint;
		::Uml::SetParentRole(TaskRef::meta_TimingSheet_parent, TaskRef::meta, TimingSheet::meta, "", "");

		::Uml::SetParentRole(TimingConstraint::meta_TimingSheet_parent, TimingConstraint::meta, TimingSheet::meta, "", "");
		TimingConstraint::meta_dstTimingConstraint_end_ = TaskRef::meta_dstTimingConstraint;
		TimingConstraint::meta_srcTimingConstraint_end_ = TaskRef::meta_srcTimingConstraint;

		::Uml::SetChildRole(TimingSheet::meta_TimingConstraint_children, TimingSheet::meta, TimingConstraint::meta, "", "");
		::Uml::SetChildRole(TimingSheet::meta_TaskRef_children, TimingSheet::meta, TaskRef::meta, "", "");
		::Uml::SetParentRole(TimingSheet::meta_DesignFolder_parent, TimingSheet::meta, DesignFolder::meta, "", "");
		::Uml::SetParentRole(TimingSheet::meta_RequirementsLibrary_parent, TimingSheet::meta, RequirementsLibrary::meta, "", "");

		::Uml::SetAssocRole(TransConnector::meta_referedbyConnectorRef, TransConnector::meta, ConnectorRef::meta, "ref");
		::Uml::SetAssocRole(TransConnector::meta_dstTransition, TransConnector::meta, TransConnector::meta, "srcTransition");
		TransConnector::meta_srcTransition_rev = TransConnector::meta_dstTransition;
		::Uml::SetAssocRole(TransConnector::meta_srcTransition, TransConnector::meta, TransConnector::meta, "dstTransition");
		TransConnector::meta_dstTransition_rev = TransConnector::meta_srcTransition;
		::Uml::SetParentRole(TransConnector::meta_State_parent, TransConnector::meta, State::meta, "", "");

		::Uml::SetParentRole(Transition::meta_Transition_State_parent, Transition::meta, State::meta, "Transition", "");
		Transition::meta_srcTransition_end_ = TransConnector::meta_srcTransition;
		Transition::meta_dstTransition_end_ = TransConnector::meta_dstTransition;

		::Uml::SetAssocRole(TypeBase::meta_referedbyTypeStructRef, TypeBase::meta, TypeBaseRef::meta, "ref");
		::Uml::SetParentRole(TypeBase::meta_Types_parent, TypeBase::meta, Types::meta, "", "");

		::Uml::SetAssocRole(TypeBaseRef::meta_ref, TypeBaseRef::meta, TypeBase::meta, "referedbyTypeStructRef");
		::Uml::SetParentRole(TypeBaseRef::meta_TypeStruct_parent, TypeBaseRef::meta, TypeStruct::meta, "", "");
		::Uml::SetParentRole(TypeBaseRef::meta_Port_parent, TypeBaseRef::meta, Port::meta, "", "");
		::Uml::SetParentRole(TypeBaseRef::meta_StateDE_parent, TypeBaseRef::meta, StateDE::meta, "", "");

		::Uml::SetChildRole(TypeStruct::meta_TypeBaseRef_children, TypeStruct::meta, TypeBaseRef::meta, "", "");

		::Uml::SetChildRole(Types::meta_TypeBase_children, Types::meta, TypeBase::meta, "", "");
		::Uml::SetParentRole(Types::meta_RootFolder_parent, Types::meta, RootFolder::meta, "", "");

		::Uml::SetParentRole(Wire::meta_HardwareUnit_parent, Wire::meta, HardwareUnit::meta, "", "");
		Wire::meta_dstWire_end_ = Connectable::meta_dstWire;
		Wire::meta_srcWire_end_ = Connectable::meta_srcWire;

	}

	void _SetXsdStorage()
	{
		UdmDom::str_xsd_storage::StoreXsd("ESMoL.xsd", ESMoL_xsd::getString());
	}

	void Initialize()
	{
		static bool first = true;
		if (!first) return;
		first = false;
		::Uml::Initialize();

	
		ASSERT( meta == Udm::null );

		UdmStatic::StaticDataNetwork * meta_dn = new UdmStatic::StaticDataNetwork(::Uml::diagram);
		meta_dn->CreateNew("ESMoL.mem", "", ::Uml::Diagram::meta, Udm::CHANGES_LOST_DEFAULT);
		meta = ::Uml::Diagram::Cast(meta_dn->GetRootObject());

		::Uml::InitDiagramProps(meta, "ESMoL", "1.00");


		CreateMeta();
		InitMeta();
		InitMetaLinks();

		_SetXsdStorage();

	}

	void Initialize(const ::Uml::Diagram &dgr)
	{
		
		meta = dgr;

		InitMeta(dgr);
		InitMetaLinks(dgr);

		
		_SetXsdStorage();
	}


	Udm::UdmDiagram diagram = { &meta, Initialize };
	static struct _regClass
	{
		_regClass()
		{
			Udm::MetaDepository::StoreDiagram("ESMoL", diagram);
		}
		~_regClass()
		{
			Udm::MetaDepository::RemoveDiagram("ESMoL");
		}
	} __regUnUsed;

}

