#ifndef ESMoL_xsd_H
#define ESMoL_xsd_H
#include <string>
#pragma warning( disable : 4010)

namespace ESMoL_xsd
{
const std::string& getString()
{
	static std::string str;
	if (str.empty())
	{
			str +="<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
			str +="<?udm interface=\"ESMoL\" version=\"1.00\"?>\n";
			str +="<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\"\n";
			str +=" elementFormDefault=\"qualified\" \n";
			str +=">\n";
			str +="<!-- generated on Tue Sep 01 11:35:13 2009 -->\n";
			str +="\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TypesType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"Matrix\" type=\"MatrixType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TypeStruct\" type=\"TypeStructType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TypeStructType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"MemberCount\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"referedbyTypeStructRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"MatrixType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"rows\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Type\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"columns\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"referedbyTypeStructRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TypeBaseRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"MemberIndex\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"OSType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"SendOverheadTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"ContextSwitchTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"RecvOverheadTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"TickResolution\" type=\"xsd:string\" default=\"1ms\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"WireType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstWire_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcWire_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"HardwareUnitType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"AcquisitionConnection\" type=\"AcquisitionConnectionType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ActuationConnection\" type=\"ActuationConnectionType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"BChan\" type=\"BChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"HardwareUnit\" type=\"HardwareUnitType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"IChan\" type=\"IChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"IODevice\" type=\"IODeviceType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Node\" type=\"NodeType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OChan\" type=\"OChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OldBus\" type=\"OldBusType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"PhysConnection\" type=\"PhysConnectionType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Plant\" type=\"PlantType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Router\" type=\"RouterType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TTBus\" type=\"TTBusType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Wire\" type=\"WireType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"PlatformLibraryType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"HardwareUnit\" type=\"HardwareUnitType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"RouterType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"BChan\" type=\"BChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"IChanType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcAcquisitionConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"OChanType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstActuationConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"BChanType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"PlantType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstPhysConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcPhysConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"IODeviceType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DeviceType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstAcquisitionConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcActuationConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstPhysConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcPhysConnection\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"PhysConnectionType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstPhysConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcPhysConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"AcquisitionConnectionType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstAcquisitionConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcAcquisitionConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ActuationConnectionType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstActuationConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcActuationConnection_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"NodeType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"BChan\" type=\"BChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"IChan\" type=\"IChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OChan\" type=\"OChanType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OS\" type=\"OSType\" minOccurs=\"0\"/>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ROM\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Simulator\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"RAM\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Speed\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"CPU\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"PlatformType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"referedbyNodeRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"IOPortInfoType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"IOPortInfo\" type=\"IOPortInfoType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"DataInit\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DataSize\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DataMin\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DataMax\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Scale\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Offset\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"referedbyIOPortInfoRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_libname\" type=\"xsd:string\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"IOPortInfoRefType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"IOPortInfoRef\" type=\"IOPortInfoRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_libname\" type=\"xsd:string\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"IOPortAssignmentType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"IOPortAssignment\" type=\"IOPortAssignmentType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstIOPortAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_libname\" type=\"xsd:string\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"OldTaskType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"OldTask\" type=\"OldTaskType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"TaskType\" type=\"xsd:string\" default=\"AUTO\"/>\n";
			str +="		<xsd:attribute name=\"Priority\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Activation\" type=\"xsd:long\" default=\"1\"/>\n";
			str +="		<xsd:attribute name=\"AutoStart\" type=\"xsd:boolean\" default=\"true\"/>\n";
			str +="		<xsd:attribute name=\"Preemption\" type=\"xsd:string\" default=\"FULL\"/>\n";
			str +="		<xsd:attribute name=\"Cyclic\" type=\"xsd:boolean\" default=\"false\"/>\n";
			str +="		<xsd:attribute name=\"CycleTime\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_libname\" type=\"xsd:string\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"PrimitiveType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"ActionPort\" type=\"ActionPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Annotation\" type=\"AnnotationType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ConnectorRef\" type=\"ConnectorRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"EnablePort\" type=\"EnablePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"InputPort\" type=\"InputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Line\" type=\"LineType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OutputPort\" type=\"OutputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Parameter\" type=\"ParameterType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"StatePort\" type=\"StatePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TriggerPort\" type=\"TriggerPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Tag\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"BlockType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Description\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Priority\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"SampleTime\" type=\"xsd:double\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"UserData\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ParameterType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Value\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ReferenceType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"ActionPort\" type=\"ActionPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Annotation\" type=\"AnnotationType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ConnectorRef\" type=\"ConnectorRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"EnablePort\" type=\"EnablePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"InputPort\" type=\"InputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Line\" type=\"LineType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OutputPort\" type=\"OutputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Parameter\" type=\"ParameterType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"StatePort\" type=\"StatePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TriggerPort\" type=\"TriggerPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Tag\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"BlockType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Description\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Priority\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"SampleTime\" type=\"xsd:double\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"UserData\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"SourceBlock\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"SourceType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"AnnotationType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Text\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"LineType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstLine_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcLine_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"StatePortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"EnablePortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"StatesWhenEnabling\" type=\"xsd:string\" default=\"held\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TriggerPortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"TriggerType\" type=\"xsd:string\" default=\"rising\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ActionPortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"DataflowType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"Subsystem\" type=\"SubsystemType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"SubsystemType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"ActionPort\" type=\"ActionPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Annotation\" type=\"AnnotationType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ConnectorRef\" type=\"ConnectorRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"EnablePort\" type=\"EnablePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"InputPort\" type=\"InputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Line\" type=\"LineType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"OutputPort\" type=\"OutputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Parameter\" type=\"ParameterType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Primitive\" type=\"PrimitiveType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Reference\" type=\"ReferenceType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"StatePort\" type=\"StatePortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Subsystem\" type=\"SubsystemType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TriggerPort\" type=\"TriggerPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Tag\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"BlockType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Description\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Priority\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"SampleTime\" type=\"xsd:double\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"UserData\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Deadline\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Period\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"referedbySubsystemRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"InputPortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Number\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"OutputPortType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Number\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcLine\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TTBusType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"OverheadTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"DataRate\" type=\"xsd:string\" default=\"1b\"/>\n";
			str +="		<xsd:attribute name=\"MinFrameSize\" type=\"xsd:string\" default=\"512B\"/>\n";
			str +="		<xsd:attribute name=\"SwitchMemorySize\" type=\"xsd:string\" default=\"80MB\"/>\n";
			str +="		<xsd:attribute name=\"TTSetupTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"Hyperperiod\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"SlotSize\" type=\"xsd:string\" default=\"512B\"/>\n";
			str +="		<xsd:attribute name=\"dstWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"OldBusType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TTExecContext\" type=\"TTExecContextType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Configuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"OverheadTime\" type=\"xsd:string\" default=\"0s\"/>\n";
			str +="		<xsd:attribute name=\"DataRate\" type=\"xsd:string\" default=\"1b\"/>\n";
			str +="		<xsd:attribute name=\"MinFrameSize\" type=\"xsd:string\" default=\"512B\"/>\n";
			str +="		<xsd:attribute name=\"SwitchMemorySize\" type=\"xsd:string\" default=\"80MB\"/>\n";
			str +="		<xsd:attribute name=\"FrameSize\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Medium\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcWire\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ModelsFolderType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"Dataflow\" type=\"DataflowType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ModelInfo\" type=\"ModelInfoType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Stateflow\" type=\"StateflowType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ModelInfoType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"DateTimeStamp\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ModelPath\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"DeploymentLibraryType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"System\" type=\"SystemType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"NodeRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcComponentAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"CommMappingType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"DependencyType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstDependency__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcDependency__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcDependency_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstDependency_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ComponentAssignmentType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstComponentAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcComponentAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ComponentRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"referedbyComponentRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstComponentAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"cms\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"cmd\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dps\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dpd\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"eas\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"SystemType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"AsyncPeriodicExecInfo\" type=\"AsyncPeriodicExecInfoType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"CommMapping\" type=\"CommMappingType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ComponentAssignment\" type=\"ComponentAssignmentType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ComponentRef\" type=\"ComponentRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Dependency\" type=\"DependencyType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ExecutionAssignment\" type=\"ExecutionAssignmentType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"NodeRef\" type=\"NodeRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"SporadicExecInfo\" type=\"SporadicExecInfoType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TTExecInfo\" type=\"TTExecInfoType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TTExecContextType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Hyperperiod\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"AsyncPeriodicExecInfoType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ExecPeriod\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"WCDuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TTExecInfoType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ExecPeriod\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"WCDuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"TTSchedule\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ExecutionAssignmentType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstExecutionAssignment__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstExecutionAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"SporadicExecInfoType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"WCDuration\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"MinimumPeriod\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ArchitectureLibraryType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"SystemTypes\" type=\"SystemTypesType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"SystemTypesType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"Component\" type=\"ComponentType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Message\" type=\"MessageType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ConnectorType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ConnectionType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector__rp_helper\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"MessageType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"MsgPort\" type=\"MsgPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"MsgMetaData\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"MsgSize\" type=\"xsd:string\" default=\"1B\"/>\n";
			str +="		<xsd:attribute name=\"referedbyBusMessageRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"MsgPortType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"MsgPortNum\" type=\"xsd:long\" default=\"-1\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"DesignFolderType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"HardwareUnit\" type=\"HardwareUnitType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"ModelsFolder\" type=\"ModelsFolderType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"System\" type=\"SystemType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"SystemTypes\" type=\"SystemTypesType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TimingSheet\" type=\"TimingSheetType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ComponentType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"CCode\" type=\"CCodeType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Connector\" type=\"ConnectorType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"MessageRef\" type=\"MessageRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Subsystem\" type=\"SubsystemType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"SubsystemRef\" type=\"SubsystemRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"referedbyComponentRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"referedbyTaskRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"MessageRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"dstCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcCommMapping\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"referedbyBusMessageRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcExecutionAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"cns\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"cnd\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcDependency\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstDependency\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TimingConstraintType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Latency\" type=\"xsd:string\" default=\"1s\"/>\n";
			str +="		<xsd:attribute name=\"dstTimingConstraint_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"srcTimingConstraint_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"RequirementsLibraryType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TimingSheet\" type=\"TimingSheetType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TimingSheetType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TaskRef\" type=\"TaskRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TimingConstraint\" type=\"TimingConstraintType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TaskRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstTimingConstraint\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTimingConstraint\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"CCodeType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"CInputPort\" type=\"CInputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"COutputPort\" type=\"COutputPortType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Deadline\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Period\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"CodeInfo\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"SubsystemRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Deadline\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Period\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"COutputPortType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"CPortType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"CInputPortType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"CPortType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"srcIOPortAssignment\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcConnector\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"StateType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"ConnectorRef\" type=\"ConnectorRefType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Data\" type=\"DataType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Event\" type=\"EventType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"History\" type=\"HistoryType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Junction\" type=\"JunctionType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"State\" type=\"StateType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"TransStart\" type=\"TransStartType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Transition\" type=\"TransitionType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Decomposition\" type=\"xsd:string\" default=\"OR_STATE\"/>\n";
			str +="		<xsd:attribute name=\"EnterAction\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DuringAction\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ExitAction\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Order\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"referedbyConnectorRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TransitionType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Guard\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Trigger\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Action\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ConditionAction\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Order\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition_end_\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"HistoryType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"referedbyConnectorRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"TransStartType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"referedbyConnectorRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"JunctionType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"referedbyConnectorRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"ConnectorRefType\">\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"ref\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"referedbyConnectorRef\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"srcTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"dstTransition\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"StateflowType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"State\" type=\"StateType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"DataType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Description\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"DataType\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Port\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Units\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"InitialValue\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Min\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Max\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ArraySize\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"ArrayFirstIndex\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Scope\" type=\"xsd:string\" default=\"LOCAL_DATA\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"EventType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"TypeBaseRef\" type=\"TypeBaseRefType\" minOccurs=\"0\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"position\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"Name\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Description\" type=\"xsd:string\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"Scope\" type=\"xsd:string\" default=\"LOCAL_EVENT\"/>\n";
			str +="		<xsd:attribute name=\"Trigger\" type=\"xsd:string\" default=\"EITHER_EDGE_EVENT\"/>\n";
			str +="		<xsd:attribute name=\"Port\" type=\"xsd:long\" use=\"required\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +="	<xsd:complexType name=\"RootFolderType\">\n";
			str +="		<xsd:sequence>\n";
			str +="			<xsd:element name=\"ArchitectureLibrary\" type=\"ArchitectureLibraryType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"DeploymentLibrary\" type=\"DeploymentLibraryType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"DesignFolder\" type=\"DesignFolderType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"PlatformLibrary\" type=\"PlatformLibraryType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"RequirementsLibrary\" type=\"RequirementsLibraryType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"RootFolder\" type=\"RootFolderType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"Types\" type=\"TypesType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="			<xsd:element name=\"RootFolder\" type=\"RootFolderType\" minOccurs=\"0\" maxOccurs=\"unbounded\"/>\n";
			str +="		</xsd:sequence>\n";
			str +="		<xsd:attribute name=\"name\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_id\" type=\"xsd:ID\"/>\n";
			str +="		<xsd:attribute name=\"_archetype\" type=\"xsd:IDREF\"/>\n";
			str +="		<xsd:attribute name=\"_derived\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_instances\" type=\"xsd:IDREFS\"/>\n";
			str +="		<xsd:attribute name=\"_desynched_atts\" type=\"xsd:string\"/>\n";
			str +="		<xsd:attribute name=\"_real_archetype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_subtype\" type=\"xsd:boolean\"/>\n";
			str +="		<xsd:attribute name=\"_libname\" type=\"xsd:string\"/>\n";
			str +="	</xsd:complexType>\n";
			str +="\n";
			str +=" <xsd:element name=\"IOPortInfo\" type=\"IOPortInfoType\"/>\n";
			str +=" <xsd:element name=\"IOPortInfoRef\" type=\"IOPortInfoRefType\"/>\n";
			str +=" <xsd:element name=\"IOPortAssignment\" type=\"IOPortAssignmentType\"/>\n";
			str +=" <xsd:element name=\"OldTask\" type=\"OldTaskType\"/>\n";
			str +=" <xsd:element name=\"RootFolder\" type=\"RootFolderType\"/>\n";
			str +="\n";
			str +="</xsd:schema>\n";
			str +="\n";
		}
		return str;
	}
} //namespace
#endif
